/* Generated by re2c 0.13.4 on Sat May 10 03:48:00 2008 */
#line 1 "Zend/zend_language_scanner.l"
/*
   +----------------------------------------------------------------------+
   | Zend Engine                                                          |
   +----------------------------------------------------------------------+
   | Copyright (c) 1998-2006 Zend Technologies Ltd. (http://www.zend.com) |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.00 of the Zend license,     |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.zend.com/license/2_00.txt.                                |
   | If you did not receive a copy of the Zend license and are unable to  |
   | obtain it through the world-wide-web, please send a note to          |
   | license@zend.com so we can mail you a copy immediately.              |
   +----------------------------------------------------------------------+
   | Authors: Marcus Boerger <helly@php.net>                              |
   |          Nuno Lopes <nlopess@php.net>                                |
   |          Scott MacVicar <scottmac@php.net>                           |
   | Flex version authors:                                                |
   |          Andi Gutmans <andi@zend.com>                                |
   |          Zeev Suraski <zeev@zend.com>                                |
   +----------------------------------------------------------------------+
*/

/* $Id: zend_language_scanner.c,v 1.1.2.12 2008/05/10 09:17:28 mattwil Exp $ */

#if 0
# define YYDEBUG(s, c) printf("state: %d char: %c\n", s, c)
#else
# define YYDEBUG(s, c)
#endif

#include "zend_language_scanner_defs.h"

#include <errno.h>
#include "zend.h"
#include "zend_alloc.h"
#include <zend_language_parser.h>
#include "zend_compile.h"
#include "zend_language_scanner.h"
#include "zend_highlight.h"
#include "zend_constants.h"
#include "zend_variables.h"
#include "zend_operators.h"
#include "zend_API.h"
#include "zend_strtod.h"
#include "zend_exceptions.h"
#include "tsrm_virtual_cwd.h"
#include "tsrm_config_common.h"

#define YYCTYPE   unsigned char
#define YYFILL(n) { if (YYCURSOR >= YYLIMIT) return 0; }
#define YYCURSOR  SCNG(yy_cursor)
#define YYLIMIT   SCNG(yy_limit)
#define YYMARKER  SCNG(yy_marker)

#define YYGETCONDITION()  SCNG(yy_state)
#define YYSETCONDITION(s) SCNG(yy_state) = s

#define STATE(name)  yyc##name

/* emulate flex constructs */
#define BEGIN(state) YYSETCONDITION(STATE(state))
#define YYSTATE      YYGETCONDITION()
#define yytext       ((char*)SCNG(yy_text))
#define yyleng       SCNG(yy_leng)
#define yyless(x)    do { YYCURSOR = (unsigned char*)yytext + x; \
                          yyleng   = (unsigned int)x; } while(0)
#define yymore()     goto yymore_restart

/* perform sanity check. If this message is triggered you should
   increase the ZEND_MMAP_AHEAD value in the zend_streams.h file */
#define YYMAXFILL 16
#if ZEND_MMAP_AHEAD < YYMAXFILL
# error ZEND_MMAP_AHEAD should be greater than or equal to YYMAXFILL
#endif

#ifdef HAVE_STDARG_H
# include <stdarg.h>
#endif

#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif

/* Globals Macros */
#define SCNG	LANG_SCNG
#ifdef ZTS
ZEND_API ts_rsrc_id language_scanner_globals_id;
#else
ZEND_API zend_php_scanner_globals language_scanner_globals;
#endif

#define HANDLE_NEWLINES(s, l)													\
do {																			\
	char *p = (s), *boundary = p+(l);											\
																				\
	while (p<boundary) {														\
		if (*p == '\n' || (*p == '\r' && (*(p+1) != '\n'))) {					\
			CG(zend_lineno)++;													\
		}																		\
		p++;																	\
	}																			\
} while (0)

#define HANDLE_NEWLINE(c) \
{ \
	if (c == '\n' || c == '\r') { \
		CG(zend_lineno)++; \
	} \
}

#define ZEND_IS_OCT(c)  ((c)>='0' && (c)<='7')
#define ZEND_IS_HEX(c)  (((c)>='0' && (c)<='9') || ((c)>='a' && (c)<='f') || ((c)>='A' && (c)<='F'))

BEGIN_EXTERN_C()

static void _yy_push_state(int new_state TSRMLS_DC)
{
	zend_stack_push(&SCNG(state_stack), (void *) &YYGETCONDITION(), sizeof(int));
	YYSETCONDITION(new_state);
}

#define yy_push_state(state_and_tsrm) _yy_push_state(yyc##state_and_tsrm)

static void yy_pop_state(TSRMLS_D)
{
	int *stack_state;
	zend_stack_top(&SCNG(state_stack), (void **) &stack_state);
	YYSETCONDITION(*stack_state);
	zend_stack_del_top(&SCNG(state_stack));
}

static void yy_scan_buffer(char *str, unsigned int len TSRMLS_DC)
{
	YYCURSOR       = (YYCTYPE*)str;
	SCNG(yy_start) = YYCURSOR;
	YYLIMIT        = YYCURSOR + len;
}

void startup_scanner(TSRMLS_D)
{
	CG(heredoc) = NULL;
	CG(heredoc_len) = 0;
	CG(doc_comment) = NULL;
	CG(doc_comment_len) = 0;
	zend_llist_init(&SCNG(used_state_stacks), sizeof(zend_stack), (llist_dtor_func_t) zend_stack_destroy, 0);
	zend_stack_init(&SCNG(state_stack));
	zend_llist_add_element(&SCNG(used_state_stacks), &SCNG(state_stack));
}

void shutdown_scanner(TSRMLS_D)
{
	if (CG(heredoc)) {
		efree(CG(heredoc));
		CG(heredoc_len)=0;
	}
	zend_llist_destroy(&SCNG(used_state_stacks));
	RESET_DOC_COMMENT();
}

static int compare_stacks(zend_stack *stack1, zend_stack *stack2)
{
	return (stack1 == stack2);
}

ZEND_API void zend_save_lexical_state(zend_lex_state *lex_state TSRMLS_DC)
{
	lex_state->yy_leng   = SCNG(yy_leng);
	lex_state->yy_start  = SCNG(yy_start);
	lex_state->yy_text   = SCNG(yy_text);
	lex_state->yy_cursor = SCNG(yy_cursor);
	lex_state->yy_marker = SCNG(yy_marker);
	lex_state->yy_limit  = SCNG(yy_limit);

	lex_state->state_stack = SCNG(state_stack);
	zend_stack_init(&SCNG(state_stack));
	zend_llist_add_element(&SCNG(used_state_stacks), &SCNG(state_stack));

	lex_state->in = SCNG(yy_in);
	lex_state->yy_state = YYSTATE;
	lex_state->filename = zend_get_compiled_filename(TSRMLS_C);
	lex_state->lineno = CG(zend_lineno);
}

ZEND_API void zend_restore_lexical_state(zend_lex_state *lex_state TSRMLS_DC)
{
	SCNG(yy_leng)   = lex_state->yy_leng;
	SCNG(yy_start)  = lex_state->yy_start;
	SCNG(yy_text)   = lex_state->yy_text;
	SCNG(yy_cursor) = lex_state->yy_cursor;
	SCNG(yy_marker) = lex_state->yy_marker;
	SCNG(yy_limit)  = lex_state->yy_limit;

	zend_llist_del_element(&SCNG(used_state_stacks), &SCNG(state_stack), (int (*)(void *, void *)) compare_stacks);
	SCNG(state_stack) = lex_state->state_stack;

	SCNG(yy_in) = lex_state->in;
	YYSETCONDITION(lex_state->yy_state);
	CG(zend_lineno) = lex_state->lineno;
	zend_restore_compiled_filename(lex_state->filename TSRMLS_CC);
}

ZEND_API void zend_destroy_file_handle(zend_file_handle *file_handle TSRMLS_DC)
{
	zend_llist_del_element(&CG(open_files), file_handle, (int (*)(void *, void *)) zend_compare_file_handles);
	/* zend_file_handle_dtor() operates on the copy, so we have to NULLify the original here */
	file_handle->opened_path = NULL;
	if (file_handle->free_filename) {
		file_handle->filename = NULL;
	}
}


ZEND_API int open_file_for_scanning(zend_file_handle *file_handle TSRMLS_DC)
{
	char *file_path = NULL, *buf;
	size_t size;

	if (zend_stream_fixup(file_handle, &buf, &size TSRMLS_CC) == FAILURE) {
		return FAILURE;
	}

	zend_llist_add_element(&CG(open_files), file_handle);
	if (file_handle->handle.stream.handle >= (void*)file_handle && file_handle->handle.stream.handle <= (void*)(file_handle+1)) {
		zend_file_handle *fh = (zend_file_handle*)zend_llist_get_last(&CG(open_files));
		size_t diff = (char*)file_handle->handle.stream.handle - (char*)file_handle;
		fh->handle.stream.handle = (void*)(((char*)fh) + diff);
		file_handle->handle.stream.handle = fh->handle.stream.handle;
	}

	/* Reset the scanner for scanning the new file */
	SCNG(yy_in) = file_handle;

	if (size != -1) {
		/* TODO: For MULTIBYTE we need to do some clever re-encoding */
		yy_scan_buffer(buf, size TSRMLS_CC);
	} else {
		zend_error_noreturn(E_COMPILE_ERROR, "zend_stream_mmap() failed");
	}

	BEGIN(INITIAL);

	if (file_handle->opened_path) {
		file_path = file_handle->opened_path;
	} else {
		file_path = file_handle->filename;
	}

	zend_set_compiled_filename(file_path TSRMLS_CC);

	if (CG(start_lineno)) {
		CG(zend_lineno) = CG(start_lineno);
		CG(start_lineno) = 0;
	} else {
		CG(zend_lineno) = 1;
	}

	CG(increment_lineno) = 0;
	return SUCCESS;
}
END_EXTERN_C()


ZEND_API zend_op_array *compile_file(zend_file_handle *file_handle, int type TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_op_array *op_array = (zend_op_array *) emalloc(sizeof(zend_op_array));
	zend_op_array *original_active_op_array = CG(active_op_array);
	zend_op_array *retval=NULL;
	int compiler_result;
	zend_bool compilation_successful=0;
	znode retval_znode;
	zend_bool original_in_compilation = CG(in_compilation);

	retval_znode.op_type = IS_CONST;
	retval_znode.u.constant.type = IS_LONG;
	retval_znode.u.constant.value.lval = 1;
	Z_UNSET_ISREF(retval_znode.u.constant);
	Z_SET_REFCOUNT(retval_znode.u.constant, 1);

	zend_save_lexical_state(&original_lex_state TSRMLS_CC);

	retval = op_array; /* success oriented */

	if (open_file_for_scanning(file_handle TSRMLS_CC)==FAILURE) {
		if (type==ZEND_REQUIRE) {
			zend_message_dispatcher(ZMSG_FAILED_REQUIRE_FOPEN, file_handle->filename);
			zend_bailout();
		} else {
			zend_message_dispatcher(ZMSG_FAILED_INCLUDE_FOPEN, file_handle->filename);
		}
		compilation_successful=0;
	} else {
		init_op_array(op_array, ZEND_USER_FUNCTION, INITIAL_OP_ARRAY_SIZE TSRMLS_CC);
		CG(in_compilation) = 1;
		CG(active_op_array) = op_array;
		compiler_result = zendparse(TSRMLS_C);
		zend_do_return(&retval_znode, 0 TSRMLS_CC);
		CG(in_compilation) = original_in_compilation;
		if (compiler_result==1) { /* parser error */
			zend_bailout();
		}
		compilation_successful=1;
	}

	if (retval) {
		CG(active_op_array) = original_active_op_array;
		if (compilation_successful) {
			pass_two(op_array TSRMLS_CC);
			zend_release_labels(TSRMLS_C);
		} else {
			efree(op_array);
			retval = NULL;
		}
	}
	if (compilation_successful) {
		zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	}
	return retval;
}


zend_op_array *compile_filename(int type, zval *filename TSRMLS_DC)
{
	zend_file_handle file_handle;
	zval tmp;
	zend_op_array *retval;
	char *opened_path = NULL;

	if (filename->type != IS_STRING) {
		tmp = *filename;
		zval_copy_ctor(&tmp);
		convert_to_string(&tmp);
		filename = &tmp;
	}
	file_handle.filename = filename->value.str.val;
	file_handle.free_filename = 0;
	file_handle.type = ZEND_HANDLE_FILENAME;
	file_handle.opened_path = NULL;
	file_handle.handle.fp = NULL;

	retval = zend_compile_file(&file_handle, type TSRMLS_CC);
	if (retval && file_handle.handle.stream.handle) {
		int dummy = 1;

		if (!file_handle.opened_path) {
			file_handle.opened_path = opened_path = estrndup(filename->value.str.val, filename->value.str.len);
		}

		zend_hash_add(&EG(included_files), file_handle.opened_path, strlen(file_handle.opened_path)+1, (void *)&dummy, sizeof(int), NULL);

		if (opened_path) {
			efree(opened_path);
		}
	}
	zend_destroy_file_handle(&file_handle TSRMLS_CC);

	if (filename==&tmp) {
		zval_dtor(&tmp);
	}
	return retval;
}

ZEND_API int zend_prepare_string_for_scanning(zval *str, char *filename TSRMLS_DC)
{
	/* enforce two trailing NULLs for flex... */
	str->value.str.val = safe_erealloc(str->value.str.val, 1, str->value.str.len, ZEND_MMAP_AHEAD);

	memset(str->value.str.val + str->value.str.len, 0, ZEND_MMAP_AHEAD);

	SCNG(yy_in)=NULL;

	/* TODO: For MULTIBYTE we need to do some clever re-encoding */
	yy_scan_buffer(str->value.str.val, str->value.str.len TSRMLS_CC);

	zend_set_compiled_filename(filename TSRMLS_CC);
	CG(zend_lineno) = 1;
	CG(increment_lineno) = 0;
	return SUCCESS;
}


ZEND_API int zend_get_scanned_file_offset(TSRMLS_D)
{
	return SCNG(yy_cursor) - SCNG(yy_start);
}


zend_op_array *compile_string(zval *source_string, char *filename TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_op_array *op_array = (zend_op_array *) emalloc(sizeof(zend_op_array));
	zend_op_array *original_active_op_array = CG(active_op_array);
	zend_op_array *retval;
	zval tmp;
	int compiler_result;
	zend_bool original_in_compilation = CG(in_compilation);

	if (source_string->value.str.len==0) {
		efree(op_array);
		return NULL;
	}

	CG(in_compilation) = 1;

	tmp = *source_string;
	zval_copy_ctor(&tmp);
	convert_to_string(&tmp);
	source_string = &tmp;

	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (zend_prepare_string_for_scanning(source_string, filename TSRMLS_CC)==FAILURE) {
		efree(op_array);
		retval = NULL;
	} else {
		zend_bool orig_interactive = CG(interactive);

		CG(interactive) = 0;
		init_op_array(op_array, ZEND_EVAL_CODE, INITIAL_OP_ARRAY_SIZE TSRMLS_CC);
		CG(interactive) = orig_interactive;
		CG(active_op_array) = op_array;
		BEGIN(ST_IN_SCRIPTING);
		compiler_result = zendparse(TSRMLS_C);

		if (compiler_result==1) {
			CG(active_op_array) = original_active_op_array;
			CG(unclean_shutdown)=1;
			retval = NULL;
		} else {
			zend_do_return(NULL, 0 TSRMLS_CC);
			CG(active_op_array) = original_active_op_array;
			pass_two(op_array TSRMLS_CC);
			zend_release_labels(TSRMLS_C);
			retval = op_array;
		}
		zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	}
	zval_dtor(&tmp);
	CG(in_compilation) = original_in_compilation;
	return retval;
}


BEGIN_EXTERN_C()
int highlight_file(char *filename, zend_syntax_highlighter_ini *syntax_highlighter_ini TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_file_handle file_handle;

	file_handle.type = ZEND_HANDLE_FILENAME;
	file_handle.filename = filename;
	file_handle.free_filename = 0;
	file_handle.opened_path = NULL;
	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (open_file_for_scanning(&file_handle TSRMLS_CC)==FAILURE) {
		zend_message_dispatcher(ZMSG_FAILED_HIGHLIGHT_FOPEN, filename);
		return FAILURE;
	}
	zend_highlight(syntax_highlighter_ini TSRMLS_CC);
	zend_destroy_file_handle(&file_handle TSRMLS_CC);
	zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	return SUCCESS;
}

int highlight_string(zval *str, zend_syntax_highlighter_ini *syntax_highlighter_ini, char *str_name TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zval tmp = *str;

	str = &tmp;
	zval_copy_ctor(str);
	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (zend_prepare_string_for_scanning(str, str_name TSRMLS_CC)==FAILURE) {
		return FAILURE;
	}
	BEGIN(INITIAL);
	zend_highlight(syntax_highlighter_ini TSRMLS_CC);
	zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	zval_dtor(str);
	return SUCCESS;
}
END_EXTERN_C()

# define zend_copy_value(zendlval, yytext, yyleng) \
	zendlval->value.str.val = (char *)estrndup(yytext, yyleng); \
	zendlval->value.str.len = yyleng;

static void zend_scan_escape_string(zval *zendlval, char *str, int len, char quote_type TSRMLS_DC)
{
	register char *s, *t;
	char *end;

	ZVAL_STRINGL(zendlval, str, len, 1);

	/* convert escape sequences */
	s = t = zendlval->value.str.val;
	end = s+zendlval->value.str.len;
	while (s<end) {
		if (*s=='\\') {
			s++;
			if (s >= end) {
				*t++ = '\\';
				break;
			}

			switch(*s) {
				case 'n':
					*t++ = '\n';
					zendlval->value.str.len--;
					break;
				case 'r':
					*t++ = '\r';
					zendlval->value.str.len--;
					break;
				case 't':
					*t++ = '\t';
					zendlval->value.str.len--;
					break;
				case 'f':
					*t++ = '\f';
					zendlval->value.str.len--;
					break;
				case 'v':
					*t++ = '\v';
					zendlval->value.str.len--;
					break;
				case '"':
				case '`':
					if (*s != quote_type) {
						*t++ = '\\';
						*t++ = *s;
						break;
					}
				case '\\':
				case '$':
					*t++ = *s;
					zendlval->value.str.len--;
					break;
				case 'x':
				case 'X':
					if (ZEND_IS_HEX(*(s+1))) {
						char hex_buf[3] = { 0, 0, 0 };

						zendlval->value.str.len--; /* for the 'x' */

						hex_buf[0] = *(++s);
						zendlval->value.str.len--;
						if (ZEND_IS_HEX(*(s+1))) {
							hex_buf[1] = *(++s);
							zendlval->value.str.len--;
						}
						*t++ = (char) strtol(hex_buf, NULL, 16);
					} else {
						*t++ = '\\';
						*t++ = *s;
					}
					break;
				default:
					/* check for an octal */
					if (ZEND_IS_OCT(*s)) {
						char octal_buf[4] = { 0, 0, 0, 0 };

						octal_buf[0] = *s;
						zendlval->value.str.len--;
						if (ZEND_IS_OCT(*(s+1))) {
							octal_buf[1] = *(++s);
							zendlval->value.str.len--;
							if (ZEND_IS_OCT(*(s+1))) {
								octal_buf[2] = *(++s);
								zendlval->value.str.len--;
							}
						}
						*t++ = (char) strtol(octal_buf, NULL, 8);
					} else {
						*t++ = '\\';
						*t++ = *s;
					}
					break;
			}
		} else {
			*t++ = *s;
		}

		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
	}
	*t = 0;
}


int lex_scan(zval *zendlval TSRMLS_DC)
{
restart:
	SCNG(yy_text) = YYCURSOR;

yymore_restart:

	/* detect EOF */
	if (YYCURSOR >= YYLIMIT) {
		/* special case */
		if (YYSTATE == STATE(ST_COMMENT) || YYSTATE == STATE(ST_DOC_COMMENT)) {
			zend_error(E_COMPILE_WARNING, "Unterminated comment starting line %d", CG(zend_lineno));
		}

		return 0;
	}


#line 614 "Zend/zend_language_scanner.c"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	if (YYGETCONDITION() < 8) {
		if (YYGETCONDITION() < 4) {
			if (YYGETCONDITION() < 2) {
				if (YYGETCONDITION() < 1) {
					goto yyc_ST_IN_SCRIPTING;
				} else {
					goto yyc_ST_LOOKING_FOR_PROPERTY;
				}
			} else {
				if (YYGETCONDITION() < 3) {
					goto yyc_ST_BACKQUOTE;
				} else {
					goto yyc_ST_DOUBLE_QUOTES;
				}
			}
		} else {
			if (YYGETCONDITION() < 6) {
				if (YYGETCONDITION() < 5) {
					goto yyc_ST_HEREDOC;
				} else {
					goto yyc_ST_LOOKING_FOR_VARNAME;
				}
			} else {
				if (YYGETCONDITION() < 7) {
					goto yyc_ST_VAR_OFFSET;
				} else {
					goto yyc_INITIAL;
				}
			}
		}
	} else {
		if (YYGETCONDITION() < 12) {
			if (YYGETCONDITION() < 10) {
				if (YYGETCONDITION() < 9) {
					goto yyc_ST_ONE_LINE_COMMENT;
				} else {
					goto yyc_ST_COMMENT;
				}
			} else {
				if (YYGETCONDITION() < 11) {
					goto yyc_ST_DOC_COMMENT;
				} else {
					goto yyc_ST_START_HEREDOC;
				}
			}
		} else {
			if (YYGETCONDITION() < 14) {
				if (YYGETCONDITION() < 13) {
					goto yyc_ST_END_HEREDOC;
				} else {
					goto yyc_ST_START_NOWDOC;
				}
			} else {
				if (YYGETCONDITION() < 15) {
					goto yyc_ST_NOWDOC;
				} else {
					goto yyc_ST_END_NOWDOC;
				}
			}
		}
	}
/* *********************************** */
yyc_INITIAL:
	{
		static const unsigned char yybm[] = {
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32, 160, 128,  32,  32, 192,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			160,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
		};

		YYDEBUG(0, *YYCURSOR);
		YYFILL(8);
		yych = *YYCURSOR;
		if (yych == '#') goto yy4;
		if (yych != '<') goto yy5;
		YYDEBUG(2, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '?') {
			if (yych == '%') goto yy14;
			if (yych >= '?') goto yy12;
		} else {
			if (yych <= 'S') {
				if (yych >= 'S') goto yy16;
			} else {
				if (yych == 's') goto yy16;
			}
		}
yy3:
		YYDEBUG(3, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1402 "Zend/zend_language_scanner.l"
		{

	while (1) {
		YYCTYPE *ptr = memchr(YYCURSOR, '<', YYLIMIT - YYCURSOR);

		if (ptr == NULL) {
			YYCURSOR = YYLIMIT;
			yyleng   = YYCURSOR - SCNG(yy_text);
			break;

		} else {
			YYCURSOR = ptr + 1;

			/* if it can be an opening tag, stop */
			if (ptr < YYLIMIT && (*YYCURSOR == '?' || *YYCURSOR == '%')) {
				--YYCURSOR;
				yyleng = YYCURSOR - SCNG(yy_text);
				break;
			}
		}
	}

inline_char_handler:

	zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_INLINE_HTML;
}
#line 769 "Zend/zend_language_scanner.c"
yy4:
		YYDEBUG(4, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '\n') goto yy3;
		goto yy6;
yy5:
		YYDEBUG(5, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy3;
yy6:
		YYDEBUG(6, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(7, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy6;
		}
		if (yych >= '\r') goto yy10;
yy8:
		YYDEBUG(8, *YYCURSOR);
		++YYCURSOR;
yy9:
		YYDEBUG(9, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1393 "Zend/zend_language_scanner.l"
		{
	if ((YYCTYPE*)yytext == SCNG(yy_start)) {
		/* ignore first line when it's started with a # */
		goto restart;
	} else {
		goto inline_char_handler;
	}
}
#line 805 "Zend/zend_language_scanner.c"
yy10:
		YYDEBUG(10, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(11, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy6;
		}
		if (yych <= '\f') goto yy8;
		goto yy10;
yy12:
		YYDEBUG(12, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'O') {
			if (yych == '=') goto yy52;
		} else {
			if (yych <= 'P') goto yy54;
			if (yych == 'p') goto yy54;
		}
yy13:
		YYDEBUG(13, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1377 "Zend/zend_language_scanner.l"
		{
	HANDLE_NEWLINES(yytext, yyleng);
	if (CG(short_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG;
	} else {
		zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		return T_INLINE_HTML;
	}
}
#line 847 "Zend/zend_language_scanner.c"
yy14:
		YYDEBUG(14, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy50;
		YYDEBUG(15, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1351 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG;
	} else {
		zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		return T_INLINE_HTML;
	}
}
#line 869 "Zend/zend_language_scanner.c"
yy16:
		YYDEBUG(16, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy18;
		if (yych == 'c') goto yy18;
yy17:
		YYDEBUG(17, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy3;
			} else {
				goto yy9;
			}
		} else {
			goto yy13;
		}
yy18:
		YYDEBUG(18, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy19;
		if (yych != 'r') goto yy17;
yy19:
		YYDEBUG(19, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy20;
		if (yych != 'i') goto yy17;
yy20:
		YYDEBUG(20, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy21;
		if (yych != 'p') goto yy17;
yy21:
		YYDEBUG(21, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy22;
		if (yych != 't') goto yy17;
yy22:
		YYDEBUG(22, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy17;
		if (yych == 'l') goto yy17;
		goto yy24;
yy23:
		YYDEBUG(23, *YYCURSOR);
		++YYCURSOR;
		YYFILL(8);
		yych = *YYCURSOR;
yy24:
		YYDEBUG(24, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy23;
		}
		if (yych == 'L') goto yy25;
		if (yych != 'l') goto yy17;
yy25:
		YYDEBUG(25, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy26;
		if (yych != 'a') goto yy17;
yy26:
		YYDEBUG(26, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy27;
		if (yych != 'n') goto yy17;
yy27:
		YYDEBUG(27, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy28;
		if (yych != 'g') goto yy17;
yy28:
		YYDEBUG(28, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy29;
		if (yych != 'u') goto yy17;
yy29:
		YYDEBUG(29, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy30;
		if (yych != 'a') goto yy17;
yy30:
		YYDEBUG(30, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy31;
		if (yych != 'g') goto yy17;
yy31:
		YYDEBUG(31, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy32;
		if (yych != 'e') goto yy17;
yy32:
		YYDEBUG(32, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(33, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy17;
			if (yych <= '\n') goto yy32;
			if (yych <= '\f') goto yy17;
			goto yy32;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy17;
				goto yy32;
			} else {
				if (yych != '=') goto yy17;
			}
		}
yy34:
		YYDEBUG(34, *YYCURSOR);
		++YYCURSOR;
		YYFILL(5);
		yych = *YYCURSOR;
		YYDEBUG(35, *YYCURSOR);
		if (yych <= '!') {
			if (yych <= '\f') {
				if (yych <= 0x08) goto yy17;
				if (yych <= '\n') goto yy34;
				goto yy17;
			} else {
				if (yych <= '\r') goto yy34;
				if (yych == ' ') goto yy34;
				goto yy17;
			}
		} else {
			if (yych <= 'O') {
				if (yych <= '"') goto yy37;
				if (yych == '\'') goto yy38;
				goto yy17;
			} else {
				if (yych <= 'P') goto yy36;
				if (yych != 'p') goto yy17;
			}
		}
yy36:
		YYDEBUG(36, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy49;
		if (yych == 'h') goto yy49;
		goto yy17;
yy37:
		YYDEBUG(37, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy46;
		if (yych == 'p') goto yy46;
		goto yy17;
yy38:
		YYDEBUG(38, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy39;
		if (yych != 'p') goto yy17;
yy39:
		YYDEBUG(39, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy40;
		if (yych != 'h') goto yy17;
yy40:
		YYDEBUG(40, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy41;
		if (yych != 'p') goto yy17;
yy41:
		YYDEBUG(41, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '\'') goto yy17;
yy42:
		YYDEBUG(42, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(43, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy17;
			if (yych <= '\n') goto yy42;
			if (yych <= '\f') goto yy17;
			goto yy42;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy17;
				goto yy42;
			} else {
				if (yych != '>') goto yy17;
			}
		}
		YYDEBUG(44, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(45, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1309 "Zend/zend_language_scanner.l"
		{
	HANDLE_NEWLINES(yytext, yyleng);
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(ST_IN_SCRIPTING);
	return T_OPEN_TAG;
}
#line 1068 "Zend/zend_language_scanner.c"
yy46:
		YYDEBUG(46, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy47;
		if (yych != 'h') goto yy17;
yy47:
		YYDEBUG(47, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy48;
		if (yych != 'p') goto yy17;
yy48:
		YYDEBUG(48, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '"') goto yy42;
		goto yy17;
yy49:
		YYDEBUG(49, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy42;
		if (yych == 'p') goto yy42;
		goto yy17;
yy50:
		YYDEBUG(50, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(51, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1319 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG_WITH_ECHO;
	} else {
		zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		return T_INLINE_HTML;
	}
}
#line 1110 "Zend/zend_language_scanner.c"
yy52:
		YYDEBUG(52, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(53, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1335 "Zend/zend_language_scanner.l"
		{
	if (CG(short_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG_WITH_ECHO;
	} else {
		zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		return T_INLINE_HTML;
	}
}
#line 1131 "Zend/zend_language_scanner.c"
yy54:
		YYDEBUG(54, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy55;
		if (yych != 'h') goto yy17;
yy55:
		YYDEBUG(55, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy56;
		if (yych != 'p') goto yy17;
yy56:
		YYDEBUG(56, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\f') {
			if (yych <= 0x08) goto yy17;
			if (yych >= '\v') goto yy17;
		} else {
			if (yych <= '\r') goto yy59;
			if (yych != ' ') goto yy17;
		}
yy57:
		YYDEBUG(57, *YYCURSOR);
		++YYCURSOR;
yy58:
		YYDEBUG(58, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1367 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINE(yytext[yyleng-1]);
	BEGIN(ST_IN_SCRIPTING);
	return T_OPEN_TAG;
}
#line 1167 "Zend/zend_language_scanner.c"
yy59:
		YYDEBUG(59, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy57;
		goto yy58;
	}
/* *********************************** */
yyc_ST_BACKQUOTE:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144,  16,  16,  16,  16,  16,  16, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,   0,  16,  16, 144, 
			  0, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  64,  16,  16,  16, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
		};
		YYDEBUG(60, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy65;
		}
		if (yych <= '[') goto yy62;
		if (yych <= '\\') goto yy68;
		if (yych <= 'z') goto yy69;
		goto yy63;
yy62:
		YYDEBUG(62, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy75;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy65;
				goto yy81;
			} else {
				if (yych == '\\') goto yy74;
				goto yy65;
			}
		} else {
			if (yych <= 'z') {
				if (yych == '`') goto yy78;
				goto yy81;
			} else {
				if (yych <= '{') goto yy84;
				if (yych <= '~') goto yy65;
				goto yy81;
			}
		}
yy63:
		YYDEBUG(63, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy79;
		}
		if (yych == '$') goto yy64;
		if (yych == '`') goto yy78;
		goto yy66;
yy64:
		YYDEBUG(64, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1763 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 1264 "Zend/zend_language_scanner.c"
yy65:
		YYDEBUG(65, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy66:
		YYDEBUG(66, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy65;
		}
		if (yych <= '[') goto yy73;
		if (yych <= '\\') goto yy68;
		if (yych >= '{') goto yy71;
yy67:
		YYDEBUG(67, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1788 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, '`' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1287 "Zend/zend_language_scanner.c"
yy68:
		YYDEBUG(68, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy65;
yy69:
		YYDEBUG(69, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(70, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1924 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_IN_SCRIPTING);
	return '`';
}
#line 1304 "Zend/zend_language_scanner.c"
yy71:
		YYDEBUG(71, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy65;
		}
		if (yych <= '[') goto yy72;
		if (yych <= '\\') goto yy68;
		if (yych <= 'z') goto yy78;
		goto yy79;
yy72:
		YYDEBUG(72, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy64;
			} else {
				goto yy67;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy77;
			} else {
				goto yy83;
			}
		}
yy73:
		YYDEBUG(73, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy75;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy65;
				goto yy72;
			} else {
				if (yych != '\\') goto yy65;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy72;
				goto yy78;
			} else {
				if (yych <= '{') goto yy72;
				if (yych <= '~') goto yy65;
				goto yy72;
			}
		}
yy74:
		YYDEBUG(74, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy65;
yy75:
		YYDEBUG(75, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(76, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy75;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy65;
			} else {
				if (yych == '\\') goto yy74;
				goto yy65;
			}
		} else {
			if (yych <= '`') {
				if (yych >= '`') goto yy78;
			} else {
				if (yych <= '{') goto yy77;
				if (yych <= '~') goto yy65;
			}
		}
yy77:
		YYDEBUG(77, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1793 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, '`' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1398 "Zend/zend_language_scanner.c"
yy78:
		YYDEBUG(78, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy77;
yy79:
		YYDEBUG(79, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(80, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy65;
		}
		if (yych <= '[') goto yy77;
		if (yych <= '\\') goto yy68;
		if (yych <= 'z') goto yy78;
		goto yy79;
yy81:
		YYDEBUG(81, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(82, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy81;
		}
		if (yych == '-') goto yy86;
		if (yych == '[') goto yy87;
yy83:
		YYDEBUG(83, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1455 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1438 "Zend/zend_language_scanner.c"
yy84:
		YYDEBUG(84, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(85, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1102 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 1449 "Zend/zend_language_scanner.c"
yy86:
		YYDEBUG(86, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy89;
		goto yy72;
yy87:
		YYDEBUG(87, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(88, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1447 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1468 "Zend/zend_language_scanner.c"
yy89:
		YYDEBUG(89, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy72;
			if (yych <= 'Z') goto yy90;
			if (yych <= '^') goto yy72;
		} else {
			if (yych <= '`') goto yy72;
			if (yych <= 'z') goto yy90;
			if (yych <= '~') goto yy72;
		}
yy90:
		YYDEBUG(90, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(91, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1437 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1494 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_COMMENT:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(92, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy94;
		}
		goto yy97;
yy94:
		YYDEBUG(94, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(95, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy94;
		}
		YYDEBUG(96, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1547 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1555 "Zend/zend_language_scanner.c"
yy97:
		YYDEBUG(97, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '/') goto yy99;
		YYDEBUG(98, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1565 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1566 "Zend/zend_language_scanner.c"
yy99:
		YYDEBUG(99, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(100, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1559 "Zend/zend_language_scanner.l"
		{
	HANDLE_NEWLINES(yytext, yyleng);
	BEGIN(ST_IN_SCRIPTING);
	return T_COMMENT;
}
#line 1578 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_DOC_COMMENT:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(101, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy103;
		}
		goto yy106;
yy103:
		YYDEBUG(103, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(104, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy103;
		}
		YYDEBUG(105, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1547 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1639 "Zend/zend_language_scanner.c"
yy106:
		YYDEBUG(106, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '/') goto yy108;
		YYDEBUG(107, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1565 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1650 "Zend/zend_language_scanner.c"
yy108:
		YYDEBUG(108, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(109, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1551 "Zend/zend_language_scanner.l"
		{
	CG(doc_comment) = estrndup(yytext, yyleng);
	CG(doc_comment_len) = yyleng;
	HANDLE_NEWLINES(yytext, yyleng);
	BEGIN(ST_IN_SCRIPTING);
	return T_DOC_COMMENT;
}
#line 1664 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_DOUBLE_QUOTES:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,   0,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144,  16,  16,  16,  16,  16,  16, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,   0,  16,  16, 144, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  64,  16,  16,  16, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
		};
		YYDEBUG(110, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy115;
		}
		if (yych <= '#') goto yy119;
		if (yych <= '$') goto yy112;
		if (yych <= 'z') goto yy118;
		goto yy113;
yy112:
		YYDEBUG(112, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy125;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy128;
				goto yy115;
			} else {
				if (yych <= 'Z') goto yy131;
				if (yych <= '[') goto yy115;
				goto yy124;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy131;
				goto yy115;
			} else {
				if (yych <= 'z') goto yy131;
				if (yych <= '{') goto yy134;
				if (yych <= '~') goto yy115;
				goto yy131;
			}
		}
yy113:
		YYDEBUG(113, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy129;
		}
		if (yych == '"') goto yy128;
		if (yych != '$') goto yy116;
yy114:
		YYDEBUG(114, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1763 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 1757 "Zend/zend_language_scanner.c"
yy115:
		YYDEBUG(115, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy116:
		YYDEBUG(116, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy115;
		}
		if (yych <= '#') goto yy117;
		if (yych <= '$') goto yy123;
		if (yych <= 'z') goto yy118;
		goto yy121;
yy117:
		YYDEBUG(117, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1770 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, '"' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1781 "Zend/zend_language_scanner.c"
yy118:
		YYDEBUG(118, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy115;
yy119:
		YYDEBUG(119, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(120, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1918 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_IN_SCRIPTING);
	return '"';
}
#line 1798 "Zend/zend_language_scanner.c"
yy121:
		YYDEBUG(121, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy115;
		}
		if (yych <= '#') goto yy128;
		if (yych <= '$') goto yy122;
		if (yych <= 'z') goto yy118;
		goto yy129;
yy122:
		YYDEBUG(122, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy114;
			} else {
				goto yy117;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy127;
			} else {
				goto yy133;
			}
		}
yy123:
		YYDEBUG(123, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy125;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy128;
				goto yy115;
			} else {
				if (yych <= 'Z') goto yy122;
				if (yych <= '[') goto yy115;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy122;
				goto yy115;
			} else {
				if (yych <= '{') goto yy122;
				if (yych <= '~') goto yy115;
				goto yy122;
			}
		}
yy124:
		YYDEBUG(124, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy115;
yy125:
		YYDEBUG(125, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(126, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy125;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy128;
				goto yy115;
			} else {
				if (yych <= 'Z') goto yy127;
				if (yych <= '[') goto yy115;
				goto yy124;
			}
		} else {
			if (yych <= '`') {
				if (yych != '_') goto yy115;
			} else {
				if (yych <= '{') goto yy127;
				if (yych <= '~') goto yy115;
			}
		}
yy127:
		YYDEBUG(127, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1781 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, '"' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1895 "Zend/zend_language_scanner.c"
yy128:
		YYDEBUG(128, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy127;
yy129:
		YYDEBUG(129, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(130, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy115;
		}
		if (yych <= '#') goto yy128;
		if (yych <= '$') goto yy127;
		if (yych <= 'z') goto yy118;
		goto yy129;
yy131:
		YYDEBUG(131, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(132, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy131;
		}
		if (yych == '-') goto yy136;
		if (yych == '[') goto yy137;
yy133:
		YYDEBUG(133, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1455 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1935 "Zend/zend_language_scanner.c"
yy134:
		YYDEBUG(134, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(135, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1102 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 1946 "Zend/zend_language_scanner.c"
yy136:
		YYDEBUG(136, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy139;
		goto yy122;
yy137:
		YYDEBUG(137, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(138, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1447 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1965 "Zend/zend_language_scanner.c"
yy139:
		YYDEBUG(139, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy122;
			if (yych <= 'Z') goto yy140;
			if (yych <= '^') goto yy122;
		} else {
			if (yych <= '`') goto yy122;
			if (yych <= 'z') goto yy140;
			if (yych <= '~') goto yy122;
		}
yy140:
		YYDEBUG(140, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(141, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1437 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1991 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_END_HEREDOC:
	YYDEBUG(142, *YYCURSOR);
	YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(144, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(145, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 1752 "Zend/zend_language_scanner.l"
	{
	SCNG(yy_text) = Z_STRVAL_P(zendlval) = CG(heredoc);
	SCNG(yy_leng) = Z_STRLEN_P(zendlval) = CG(heredoc_len);
	CG(heredoc) = NULL;
	CG(heredoc_len) = 0;
	BEGIN(ST_IN_SCRIPTING);
	return T_END_HEREDOC;
}
#line 2011 "Zend/zend_language_scanner.c"
/* *********************************** */
yyc_ST_END_NOWDOC:
	YYDEBUG(146, *YYCURSOR);
	YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(148, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(149, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 1907 "Zend/zend_language_scanner.l"
	{
	SCNG(yy_text) = Z_STRVAL_P(zendlval) = CG(heredoc);
	SCNG(yy_leng) = Z_STRLEN_P(zendlval) = CG(heredoc_len);
	CG(heredoc) = NULL;
	CG(heredoc_len) = 0;
	BEGIN(ST_IN_SCRIPTING);
	return T_END_NOWDOC;
}
#line 2030 "Zend/zend_language_scanner.c"
/* *********************************** */
yyc_ST_HEREDOC:
	{
		static const unsigned char yybm[] = {
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,  16,   4,   4,  32,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,   4,   4,  64,   4,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			 12,  12,  12,  12,  12,  12,  12,  12, 
			 12,  12,   4,   4,   4,   4,   4,   4, 
			  4,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   4,   0,   4,   4,   8, 
			  4,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8, 128,   4,   4,   4,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
		};
		YYDEBUG(150, *YYCURSOR);
		YYFILL(2);
		yych = *(YYMARKER = YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy153;
			goto yy158;
		} else {
			if (yych <= '\\') goto yy160;
			if (yych == '{') goto yy154;
			goto yy158;
		}
yy152:
		YYDEBUG(152, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1807 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, 0 TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 2092 "Zend/zend_language_scanner.c"
yy153:
		YYDEBUG(153, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '$') goto yy198;
				goto yy157;
			} else {
				if (yych <= 'Z') goto yy202;
				if (yych <= '[') goto yy157;
				goto yy191;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy202;
				goto yy157;
			} else {
				if (yych <= 'z') goto yy202;
				if (yych <= '{') goto yy205;
				if (yych <= '~') goto yy157;
				goto yy202;
			}
		}
yy154:
		YYDEBUG(154, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy200;
				goto yy156;
			}
		}
yy155:
		YYDEBUG(155, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1763 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 2144 "Zend/zend_language_scanner.c"
yy156:
		YYDEBUG(156, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy157:
		YYDEBUG(157, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy197;
		} else {
			if (yych <= '\\') goto yy160;
			if (yych == '{') goto yy196;
		}
yy158:
		YYDEBUG(158, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(159, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '@') {
			if (yych <= '$') {
				if (yych == '\r') goto yy163;
				if (yych <= '#') goto yy156;
				goto yy190;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy156;
					goto yy158;
				} else {
					if (yych == ';') goto yy188;
					goto yy156;
				}
			}
		} else {
			if (yych <= '_') {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy158;
					goto yy156;
				} else {
					if (yych <= '\\') goto yy160;
					if (yych <= '^') goto yy156;
					goto yy158;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= '`') goto yy156;
					goto yy158;
				} else {
					if (yych <= '{') goto yy189;
					if (yych <= '~') goto yy156;
					goto yy158;
				}
			}
		}
yy160:
		YYDEBUG(160, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy161:
		YYDEBUG(161, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(162, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy169;
			goto yy165;
		} else {
			if (yych <= '\\') goto yy170;
			if (yych == '{') goto yy167;
			goto yy165;
		}
yy163:
		YYDEBUG(163, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(164, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy169;
		} else {
			if (yych <= '\\') goto yy170;
			if (yych == '{') goto yy167;
		}
yy165:
		YYDEBUG(165, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(166, *YYCURSOR);
		if (yych <= ';') {
			if (yych <= '#') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy156;
					goto yy181;
				} else {
					if (yych == '\r') goto yy181;
					goto yy156;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '$') goto yy180;
					goto yy156;
				} else {
					if (yych <= '9') goto yy165;
					if (yych <= ':') goto yy156;
					goto yy177;
				}
			}
		} else {
			if (yych <= '^') {
				if (yych <= 'Z') {
					if (yych <= '@') goto yy156;
					goto yy165;
				} else {
					if (yych == '\\') goto yy178;
					goto yy156;
				}
			} else {
				if (yych <= 'z') {
					if (yych == '`') goto yy156;
					goto yy165;
				} else {
					if (yych <= '{') goto yy179;
					if (yych <= '~') goto yy156;
					goto yy165;
				}
			}
		}
yy167:
		YYDEBUG(167, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy170;
			} else {
				if (yych == '{') goto yy175;
				goto yy156;
			}
		}
yy168:
		YYDEBUG(168, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy152;
			} else {
				goto yy155;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy174;
			} else {
				goto yy204;
			}
		}
yy169:
		YYDEBUG(169, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy172;
		} else {
			if (yych == '\\') goto yy171;
			goto yy168;
		}
yy170:
		YYDEBUG(170, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy171:
		YYDEBUG(171, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy172:
		YYDEBUG(172, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(173, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy172;
		} else {
			if (yych == '\\') goto yy171;
		}
yy174:
		YYDEBUG(174, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1812 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, 0 TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 2401 "Zend/zend_language_scanner.c"
yy175:
		YYDEBUG(175, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(176, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy174;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy170;
			} else {
				if (yych == '{') goto yy175;
				goto yy156;
			}
		}
yy177:
		YYDEBUG(177, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '#') {
			if (yych <= '\n') {
				if (yych <= '\t') goto yy156;
				goto yy181;
			} else {
				if (yych == '\r') goto yy181;
				goto yy156;
			}
		} else {
			if (yych <= '\\') {
				if (yych <= '$') goto yy180;
				if (yych <= '[') goto yy156;
			} else {
				if (yych == '{') goto yy179;
				goto yy156;
			}
		}
yy178:
		YYDEBUG(178, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy179:
		YYDEBUG(179, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy168;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy178;
			} else {
				if (yych == '{') goto yy186;
				goto yy156;
			}
		}
yy180:
		YYDEBUG(180, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy183;
		} else {
			if (yych == '\\') goto yy185;
			goto yy168;
		}
yy181:
		YYDEBUG(181, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(182, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1712 "Zend/zend_language_scanner.l"
		{
	char *end = yytext + yyleng - 1;

	if (end[-1] == ';') {
		end--;
		yyleng--;
	}

	if (yyleng > CG(heredoc_len) && !memcmp(end - CG(heredoc_len), CG(heredoc), CG(heredoc_len))) {
		int len = yyleng - CG(heredoc_len) - 2; /* 2 for newline before and after label */

		/* May have matched fooLABEL; make sure there's a newline before it */
		if (yytext[len] != '\n') {
			if (yytext[len] != '\r') {
				yyless(yyleng - 1);
				yymore();
			}
		} else if (len > 0 && yytext[len - 1] == '\r') {
			len--; /* Windows newline */
		}

		/* Go back before last label char, to match in ST_END_HEREDOC state */
		yyless(yyleng - 2);

		/* Subtract the remaining label length. yyleng must include newline
		 * before label, for zend_highlight/strip, tokenizer, etc. */
		yyleng -= CG(heredoc_len) - 1;

		CG(increment_lineno) = 1; /* For newline before label */
		BEGIN(ST_END_HEREDOC);
		zend_scan_escape_string(zendlval, yytext, len, 0 TSRMLS_CC);
		return T_ENCAPSED_AND_WHITESPACE;
	} else {
		/* Go back to end of label, so the next match works correctly in case of
		 * a variable or another label at the beginning of the next line */
		yyless(yyleng - 1);
		yymore();
	}
}
#line 2540 "Zend/zend_language_scanner.c"
yy183:
		YYDEBUG(183, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(184, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy183;
		} else {
			if (yych != '\\') goto yy174;
		}
yy185:
		YYDEBUG(185, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy186:
		YYDEBUG(186, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(187, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy174;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy178;
			} else {
				if (yych == '{') goto yy186;
				goto yy156;
			}
		}
yy188:
		YYDEBUG(188, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			if (yych <= '@') goto yy190;
			goto yy158;
		} else {
			if (yych <= '\\') goto yy160;
			if (yych != '{') goto yy158;
		}
yy189:
		YYDEBUG(189, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy168;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy194;
				goto yy156;
			}
		}
yy190:
		YYDEBUG(190, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy192;
		} else {
			if (yych != '\\') goto yy168;
		}
yy191:
		YYDEBUG(191, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych == '\r') goto yy163;
		goto yy156;
yy192:
		YYDEBUG(192, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(193, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy192;
		} else {
			if (yych == '\\') goto yy191;
			goto yy174;
		}
yy194:
		YYDEBUG(194, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(195, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy174;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy194;
				goto yy156;
			}
		}
yy196:
		YYDEBUG(196, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy168;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy200;
				goto yy156;
			}
		}
yy197:
		YYDEBUG(197, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
		} else {
			if (yych == '\\') goto yy191;
			goto yy168;
		}
yy198:
		YYDEBUG(198, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(199, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy156;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy161;
			if (yych <= '\r') goto yy163;
			goto yy198;
		} else {
			if (yych == '\\') goto yy191;
			goto yy174;
		}
yy200:
		YYDEBUG(200, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(201, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy161;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy163;
			if (yych <= '#') goto yy156;
			goto yy174;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy156;
				goto yy160;
			} else {
				if (yych == '{') goto yy200;
				goto yy156;
			}
		}
yy202:
		YYDEBUG(202, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(203, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych == '-') goto yy207;
			} else {
				if (yych <= '9') goto yy202;
				if (yych >= 'A') goto yy202;
			}
		} else {
			if (yych <= '_') {
				if (yych <= '[') goto yy208;
				if (yych >= '_') goto yy202;
			} else {
				if (yych <= '`') goto yy204;
				if (yych <= 'z') goto yy202;
				if (yych >= 0x7F) goto yy202;
			}
		}
yy204:
		YYDEBUG(204, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1455 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2806 "Zend/zend_language_scanner.c"
yy205:
		YYDEBUG(205, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(206, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1102 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 2817 "Zend/zend_language_scanner.c"
yy207:
		YYDEBUG(207, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy210;
		goto yy168;
yy208:
		YYDEBUG(208, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(209, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1447 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2836 "Zend/zend_language_scanner.c"
yy210:
		YYDEBUG(210, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy168;
			if (yych <= 'Z') goto yy211;
			if (yych <= '^') goto yy168;
		} else {
			if (yych <= '`') goto yy168;
			if (yych <= 'z') goto yy211;
			if (yych <= '~') goto yy168;
		}
yy211:
		YYDEBUG(211, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(212, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1437 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2862 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_IN_SCRIPTING:
	{
		static const unsigned char yybm[] = {
			/* table 1 .. 8: 0 */
			  2,   2,   2,   2,   2,   2,   2,   2, 
			  2, 194,  66,   2,   2,  66,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			194,   2,   0,   2,   4,   2,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			 58,  58,  58,  58,  58,  58,  58,  58, 
			 58,  58,   2,   2,   2,   2,   2,   2, 
			  2,  42,  42,  42,  42,  42,  42,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,   2,   0,   2,   2,  10, 
			  2,  42,  42,  42,  42,  42,  42,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,   1,   2,   2,   2,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			/* table 9 .. 9: 256 */
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128,   0, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(213, *YYCURSOR);
		YYFILL(16);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 0x00:
		case 0x01:
		case 0x02:
		case 0x03:
		case 0x04:
		case 0x05:
		case 0x06:
		case 0x07:
		case 0x08:
		case '\v':
		case '\f':
		case 0x0E:
		case 0x0F:
		case 0x10:
		case 0x11:
		case 0x12:
		case 0x13:
		case 0x14:
		case 0x15:
		case 0x16:
		case 0x17:
		case 0x18:
		case 0x19:
		case 0x1A:
		case 0x1B:
		case 0x1C:
		case 0x1D:
		case 0x1E:
		case 0x1F:
		case '\\':	goto yy273;
		case '\t':
		case '\n':
		case '\r':
		case ' ':	goto yy231;
		case '!':	goto yy242;
		case '"':	goto yy267;
		case '#':	goto yy265;
		case '$':	goto yy254;
		case '%':	goto yy248;
		case '&':	goto yy249;
		case '\'':	goto yy269;
		case '(':	goto yy236;
		case ')':
		case ',':
		case ';':
		case '@':
		case '[':
		case ']':
		case '~':	goto yy255;
		case '*':	goto yy245;
		case '+':	goto yy241;
		case '-':	goto yy229;
		case '.':	goto yy247;
		case '/':	goto yy246;
		case '0':	goto yy261;
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':	goto yy263;
		case ':':	goto yy233;
		case '<':	goto yy243;
		case '=':	goto yy239;
		case '>':	goto yy244;
		case '?':	goto yy256;
		case 'A':
		case 'a':	goto yy224;
		case 'B':
		case 'b':	goto yy226;
		case 'C':
		case 'c':	goto yy219;
		case 'D':
		case 'd':	goto yy217;
		case 'E':
		case 'e':	goto yy215;
		case 'F':
		case 'f':	goto yy218;
		case 'G':
		case 'g':	goto yy227;
		case 'I':
		case 'i':	goto yy222;
		case 'L':
		case 'l':	goto yy240;
		case 'N':
		case 'n':	goto yy234;
		case 'O':
		case 'o':	goto yy252;
		case 'P':
		case 'p':	goto yy228;
		case 'R':
		case 'r':	goto yy220;
		case 'S':
		case 's':	goto yy225;
		case 'T':
		case 't':	goto yy221;
		case 'U':
		case 'u':	goto yy237;
		case 'V':
		case 'v':	goto yy235;
		case 'W':
		case 'w':	goto yy223;
		case 'X':
		case 'x':	goto yy253;
		case '^':	goto yy251;
		case '_':	goto yy238;
		case '`':	goto yy271;
		case '{':	goto yy257;
		case '|':	goto yy250;
		case '}':	goto yy259;
		default:	goto yy264;
		}
yy215:
		YYDEBUG(215, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(-1, yych);
		switch ((yych = *YYCURSOR)) {
		case 'C':
		case 'c':	goto yy809;
		case 'L':
		case 'l':	goto yy810;
		case 'M':
		case 'm':	goto yy811;
		case 'N':
		case 'n':	goto yy812;
		case 'V':
		case 'v':	goto yy813;
		case 'X':
		case 'x':	goto yy814;
		default:	goto yy291;
		}
yy216:
		YYDEBUG(216, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1479 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 3083 "Zend/zend_language_scanner.c"
yy217:
		YYDEBUG(217, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych <= 'H') {
				if (yych == 'E') goto yy791;
				goto yy291;
			} else {
				if (yych <= 'I') goto yy792;
				if (yych <= 'N') goto yy291;
				goto yy793;
			}
		} else {
			if (yych <= 'h') {
				if (yych == 'e') goto yy791;
				goto yy291;
			} else {
				if (yych <= 'i') goto yy792;
				if (yych == 'o') goto yy793;
				goto yy291;
			}
		}
yy218:
		YYDEBUG(218, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych <= 'N') {
				if (yych == 'I') goto yy770;
				goto yy291;
			} else {
				if (yych <= 'O') goto yy771;
				if (yych <= 'T') goto yy291;
				goto yy772;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'i') goto yy770;
				goto yy291;
			} else {
				if (yych <= 'o') goto yy771;
				if (yych == 'u') goto yy772;
				goto yy291;
			}
		}
yy219:
		YYDEBUG(219, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych <= 'K') {
				if (yych == 'A') goto yy742;
				goto yy291;
			} else {
				if (yych <= 'L') goto yy743;
				if (yych <= 'N') goto yy291;
				goto yy744;
			}
		} else {
			if (yych <= 'k') {
				if (yych == 'a') goto yy742;
				goto yy291;
			} else {
				if (yych <= 'l') goto yy743;
				if (yych == 'o') goto yy744;
				goto yy291;
			}
		}
yy220:
		YYDEBUG(220, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy724;
		if (yych == 'e') goto yy724;
		goto yy291;
yy221:
		YYDEBUG(221, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'R') {
			if (yych == 'H') goto yy716;
			if (yych <= 'Q') goto yy291;
			goto yy717;
		} else {
			if (yych <= 'h') {
				if (yych <= 'g') goto yy291;
				goto yy716;
			} else {
				if (yych == 'r') goto yy717;
				goto yy291;
			}
		}
yy222:
		YYDEBUG(222, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych <= 'L') {
				if (yych == 'F') goto yy669;
				goto yy291;
			} else {
				if (yych <= 'M') goto yy671;
				if (yych <= 'N') goto yy672;
				if (yych <= 'R') goto yy291;
				goto yy673;
			}
		} else {
			if (yych <= 'm') {
				if (yych == 'f') goto yy669;
				if (yych <= 'l') goto yy291;
				goto yy671;
			} else {
				if (yych <= 'n') goto yy672;
				if (yych == 's') goto yy673;
				goto yy291;
			}
		}
yy223:
		YYDEBUG(223, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy664;
		if (yych == 'h') goto yy664;
		goto yy291;
yy224:
		YYDEBUG(224, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych <= 'M') {
				if (yych == 'B') goto yy646;
				goto yy291;
			} else {
				if (yych <= 'N') goto yy647;
				if (yych <= 'Q') goto yy291;
				if (yych <= 'R') goto yy648;
				goto yy649;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'b') goto yy646;
				if (yych <= 'm') goto yy291;
				goto yy647;
			} else {
				if (yych <= 'q') goto yy291;
				if (yych <= 'r') goto yy648;
				if (yych <= 's') goto yy649;
				goto yy291;
			}
		}
yy225:
		YYDEBUG(225, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'W') {
			if (yych == 'T') goto yy634;
			if (yych <= 'V') goto yy291;
			goto yy635;
		} else {
			if (yych <= 't') {
				if (yych <= 's') goto yy291;
				goto yy634;
			} else {
				if (yych == 'w') goto yy635;
				goto yy291;
			}
		}
yy226:
		YYDEBUG(226, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'Q') {
			if (yych <= '/') {
				if (yych <= '"') {
					if (yych <= '!') goto yy216;
					goto yy627;
				} else {
					if (yych == '\'') goto yy274;
					goto yy216;
				}
			} else {
				if (yych <= ';') {
					if (yych <= '9') goto yy290;
					goto yy216;
				} else {
					if (yych <= '<') goto yy626;
					if (yych <= '@') goto yy216;
					goto yy290;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'Z') {
					if (yych <= 'R') goto yy628;
					goto yy290;
				} else {
					if (yych == '_') goto yy290;
					goto yy216;
				}
			} else {
				if (yych <= 'r') {
					if (yych <= 'q') goto yy290;
					goto yy628;
				} else {
					if (yych <= 'z') goto yy290;
					if (yych <= '~') goto yy216;
					goto yy290;
				}
			}
		}
yy227:
		YYDEBUG(227, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'L') goto yy616;
			if (yych <= 'N') goto yy291;
			goto yy617;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy291;
				goto yy616;
			} else {
				if (yych == 'o') goto yy617;
				goto yy291;
			}
		}
yy228:
		YYDEBUG(228, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych == 'R') goto yy592;
			if (yych <= 'T') goto yy291;
			goto yy593;
		} else {
			if (yych <= 'r') {
				if (yych <= 'q') goto yy291;
				goto yy592;
			} else {
				if (yych == 'u') goto yy593;
				goto yy291;
			}
		}
yy229:
		YYDEBUG(229, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '<') {
			if (yych == '-') goto yy588;
		} else {
			if (yych <= '=') goto yy586;
			if (yych <= '>') goto yy590;
		}
yy230:
		YYDEBUG(230, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1091 "Zend/zend_language_scanner.l"
		{
	return yytext[0];
}
#line 3334 "Zend/zend_language_scanner.c"
yy231:
		YYDEBUG(231, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy585;
yy232:
		YYDEBUG(232, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 830 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_WHITESPACE;
}
#line 3351 "Zend/zend_language_scanner.c"
yy233:
		YYDEBUG(233, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == ':') goto yy582;
		goto yy230;
yy234:
		YYDEBUG(234, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'E') {
			if (yych == 'A') goto yy570;
			if (yych <= 'D') goto yy291;
			goto yy571;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy291;
				goto yy570;
			} else {
				if (yych == 'e') goto yy571;
				goto yy291;
			}
		}
yy235:
		YYDEBUG(235, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy567;
		if (yych == 'a') goto yy567;
		goto yy291;
yy236:
		YYDEBUG(236, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'D') {
				if (yych <= ' ') {
					if (yych == '\t') goto yy488;
					if (yych <= 0x1F) goto yy230;
					goto yy488;
				} else {
					if (yych <= '@') goto yy230;
					if (yych == 'C') goto yy230;
					goto yy488;
				}
			} else {
				if (yych <= 'I') {
					if (yych == 'F') goto yy488;
					if (yych <= 'H') goto yy230;
					goto yy488;
				} else {
					if (yych == 'O') goto yy488;
					if (yych <= 'Q') goto yy230;
					goto yy488;
				}
			}
		} else {
			if (yych <= 'f') {
				if (yych <= 'b') {
					if (yych == 'U') goto yy488;
					if (yych <= '`') goto yy230;
					goto yy488;
				} else {
					if (yych == 'd') goto yy488;
					if (yych <= 'e') goto yy230;
					goto yy488;
				}
			} else {
				if (yych <= 'o') {
					if (yych == 'i') goto yy488;
					if (yych <= 'n') goto yy230;
					goto yy488;
				} else {
					if (yych <= 's') {
						if (yych <= 'q') goto yy230;
						goto yy488;
					} else {
						if (yych == 'u') goto yy488;
						goto yy230;
					}
				}
			}
		}
yy237:
		YYDEBUG(237, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych == 'N') goto yy479;
			if (yych <= 'R') goto yy291;
			goto yy480;
		} else {
			if (yych <= 'n') {
				if (yych <= 'm') goto yy291;
				goto yy479;
			} else {
				if (yych == 's') goto yy480;
				goto yy291;
			}
		}
yy238:
		YYDEBUG(238, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '_') goto yy405;
		goto yy291;
yy239:
		YYDEBUG(239, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy230;
		if (yych <= '=') goto yy399;
		if (yych <= '>') goto yy401;
		goto yy230;
yy240:
		YYDEBUG(240, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy395;
		if (yych == 'i') goto yy395;
		goto yy291;
yy241:
		YYDEBUG(241, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '+') goto yy393;
		if (yych == '=') goto yy391;
		goto yy230;
yy242:
		YYDEBUG(242, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy388;
		goto yy230;
yy243:
		YYDEBUG(243, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= ';') {
			if (yych == '/') goto yy356;
			goto yy230;
		} else {
			if (yych <= '<') goto yy354;
			if (yych <= '=') goto yy357;
			if (yych <= '>') goto yy359;
			goto yy230;
		}
yy244:
		YYDEBUG(244, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy230;
		if (yych <= '=') goto yy350;
		if (yych <= '>') goto yy348;
		goto yy230;
yy245:
		YYDEBUG(245, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy346;
		goto yy230;
yy246:
		YYDEBUG(246, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '.') {
			if (yych == '*') goto yy337;
			goto yy230;
		} else {
			if (yych <= '/') goto yy339;
			if (yych == '=') goto yy340;
			goto yy230;
		}
yy247:
		YYDEBUG(247, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy230;
		if (yych <= '9') goto yy333;
		if (yych == '=') goto yy335;
		goto yy230;
yy248:
		YYDEBUG(248, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy230;
		if (yych <= '=') goto yy329;
		if (yych <= '>') goto yy327;
		goto yy230;
yy249:
		YYDEBUG(249, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '&') goto yy323;
		if (yych == '=') goto yy325;
		goto yy230;
yy250:
		YYDEBUG(250, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy321;
		if (yych == '|') goto yy319;
		goto yy230;
yy251:
		YYDEBUG(251, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy317;
		goto yy230;
yy252:
		YYDEBUG(252, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy315;
		if (yych == 'r') goto yy315;
		goto yy291;
yy253:
		YYDEBUG(253, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy312;
		if (yych == 'o') goto yy312;
		goto yy291;
yy254:
		YYDEBUG(254, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy230;
			if (yych <= 'Z') goto yy309;
			if (yych <= '^') goto yy230;
			goto yy309;
		} else {
			if (yych <= '`') goto yy230;
			if (yych <= 'z') goto yy309;
			if (yych <= '~') goto yy230;
			goto yy309;
		}
yy255:
		YYDEBUG(255, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy230;
yy256:
		YYDEBUG(256, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy305;
		goto yy230;
yy257:
		YYDEBUG(257, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(258, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1096 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return '{';
}
#line 3589 "Zend/zend_language_scanner.c"
yy259:
		YYDEBUG(259, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(260, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1108 "Zend/zend_language_scanner.l"
		{
	RESET_DOC_COMMENT();
	if (!zend_stack_is_empty(&SCNG(state_stack))) {
		yy_pop_state(TSRMLS_C);
	}
	return '}';
}
#line 3603 "Zend/zend_language_scanner.c"
yy261:
		YYDEBUG(261, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'E') {
			if (yych <= '/') {
				if (yych == '.') goto yy292;
			} else {
				if (yych <= '9') goto yy295;
				if (yych >= 'E') goto yy297;
			}
		} else {
			if (yych <= 'd') {
				if (yych == 'X') goto yy301;
			} else {
				if (yych <= 'e') goto yy297;
				if (yych == 'x') goto yy301;
			}
		}
yy262:
		YYDEBUG(262, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1134 "Zend/zend_language_scanner.l"
		{
	if (yyleng < MAX_LENGTH_OF_LONG - 1) { /* Won't overflow */
		zendlval->value.lval = strtol(yytext, NULL, 0);
	} else {
		errno = 0;
		zendlval->value.lval = strtol(yytext, NULL, 0);
		if (errno == ERANGE) { /* Overflow */
			if (yytext[0] == '0') { /* octal overflow */
				zendlval->value.dval = zend_oct_strtod(yytext, NULL);
			} else {
				zendlval->value.dval = zend_strtod(yytext, NULL);
			}
			zendlval->type = IS_DOUBLE;
			return T_DNUMBER;
		}
	}

	zendlval->type = IS_LONG;
	return T_LNUMBER;
}
#line 3647 "Zend/zend_language_scanner.c"
yy263:
		YYDEBUG(263, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '9') {
			if (yych == '.') goto yy292;
			if (yych <= '/') goto yy262;
			goto yy295;
		} else {
			if (yych <= 'E') {
				if (yych <= 'D') goto yy262;
				goto yy297;
			} else {
				if (yych == 'e') goto yy297;
				goto yy262;
			}
		}
yy264:
		YYDEBUG(264, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy291;
yy265:
		YYDEBUG(265, *YYCURSOR);
		++YYCURSOR;
yy266:
		YYDEBUG(266, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1486 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_ONE_LINE_COMMENT);
	yymore();
}
#line 3680 "Zend/zend_language_scanner.c"
yy267:
		YYDEBUG(267, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy283;
yy268:
		YYDEBUG(268, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1644 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_DOUBLE_QUOTES);
	return '"';
}
#line 3694 "Zend/zend_language_scanner.c"
yy269:
		YYDEBUG(269, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy275;
yy270:
		YYDEBUG(270, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1930 "Zend/zend_language_scanner.l"
		{
	zend_error(E_COMPILE_WARNING,"Unexpected character in input:  '%c' (ASCII=%d) state=%d", yytext[0], yytext[0], YYSTATE);
	goto restart;
}
#line 3708 "Zend/zend_language_scanner.c"
yy271:
		YYDEBUG(271, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(272, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1672 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_BACKQUOTE);
	return '`';
}
#line 3719 "Zend/zend_language_scanner.c"
yy273:
		YYDEBUG(273, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy270;
yy274:
		YYDEBUG(274, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy275:
		YYDEBUG(275, *YYCURSOR);
		if (yybm[256+yych] & 128) {
			goto yy274;
		}
		if (yych <= '[') goto yy277;
		YYDEBUG(276, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy274;
yy277:
		YYDEBUG(277, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(278, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1602 "Zend/zend_language_scanner.l"
		{
	register char *s, *t;
	char *end;
	int bprefix = (yytext[0] != '\'') ? 1 : 0;

	zendlval->value.str.val = estrndup(yytext+bprefix+1, yyleng-bprefix-2);
	zendlval->value.str.len = yyleng-bprefix-2;
	zendlval->type = IS_STRING;

	/* convert escape sequences */
	s = t = zendlval->value.str.val;
	end = s+zendlval->value.str.len;
	while (s<end) {
		if (*s=='\\') {
			s++;

			switch(*s) {
				case '\\':
				case '\'':
					*t++ = *s;
					zendlval->value.str.len--;
					break;
				default:
					*t++ = '\\';
					*t++ = *s;
					break;
			}
		} else {
			*t++ = *s;
		}

		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
	}
	*t = 0;

	return T_CONSTANT_ENCAPSED_STRING;
}
#line 3786 "Zend/zend_language_scanner.c"
yy279:
		YYDEBUG(279, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(280, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy282;
		}
		if (yych <= '#') goto yy287;
		if (yych <= '$') goto yy281;
		if (yych <= 'z') goto yy284;
		goto yy279;
yy281:
		YYDEBUG(281, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 3) {
			if (yyaccept <= 1) {
				if (yyaccept <= 0) {
					goto yy216;
				} else {
					goto yy230;
				}
			} else {
				if (yyaccept <= 2) {
					goto yy262;
				} else {
					goto yy268;
				}
			}
		} else {
			if (yyaccept <= 5) {
				if (yyaccept <= 4) {
					goto yy270;
				} else {
					goto yy294;
				}
			} else {
				if (yyaccept <= 6) {
					goto yy338;
				} else {
					goto yy355;
				}
			}
		}
yy282:
		YYDEBUG(282, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy283:
		YYDEBUG(283, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy282;
		}
		if (yych <= '#') goto yy287;
		if (yych <= '$') goto yy285;
		if (yych >= '{') goto yy279;
yy284:
		YYDEBUG(284, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy282;
yy285:
		YYDEBUG(285, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(286, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy285;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych != '"') goto yy282;
			} else {
				if (yych <= 'Z') goto yy281;
				if (yych <= '[') goto yy282;
				goto yy289;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy281;
				goto yy282;
			} else {
				if (yych <= '{') goto yy281;
				if (yych <= '~') goto yy282;
				goto yy281;
			}
		}
yy287:
		YYDEBUG(287, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(288, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1594 "Zend/zend_language_scanner.l"
		{
	int bprefix = (yytext[0] != '"') ? 1 : 0;

	zend_scan_escape_string(zendlval, yytext+bprefix+1, yyleng-bprefix-2, '"' TSRMLS_CC);
	return T_CONSTANT_ENCAPSED_STRING;
}
#line 3890 "Zend/zend_language_scanner.c"
yy289:
		YYDEBUG(289, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy282;
yy290:
		YYDEBUG(290, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy291:
		YYDEBUG(291, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy290;
		}
		goto yy216;
yy292:
		YYDEBUG(292, *YYCURSOR);
		yyaccept = 5;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(293, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy292;
		}
		if (yych == 'E') goto yy297;
		if (yych == 'e') goto yy297;
yy294:
		YYDEBUG(294, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1195 "Zend/zend_language_scanner.l"
		{
	zendlval->value.dval = zend_strtod(yytext, NULL);
	zendlval->type = IS_DOUBLE;
	return T_DNUMBER;
}
#line 3929 "Zend/zend_language_scanner.c"
yy295:
		YYDEBUG(295, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(296, *YYCURSOR);
		if (yych <= '9') {
			if (yych == '.') goto yy292;
			if (yych <= '/') goto yy262;
			goto yy295;
		} else {
			if (yych <= 'E') {
				if (yych <= 'D') goto yy262;
			} else {
				if (yych != 'e') goto yy262;
			}
		}
yy297:
		YYDEBUG(297, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= ',') {
			if (yych != '+') goto yy281;
		} else {
			if (yych <= '-') goto yy298;
			if (yych <= '/') goto yy281;
			if (yych <= '9') goto yy299;
			goto yy281;
		}
yy298:
		YYDEBUG(298, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy281;
		if (yych >= ':') goto yy281;
yy299:
		YYDEBUG(299, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(300, *YYCURSOR);
		if (yych <= '/') goto yy294;
		if (yych <= '9') goto yy299;
		goto yy294;
yy301:
		YYDEBUG(301, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy302;
		}
		goto yy281;
yy302:
		YYDEBUG(302, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(303, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy302;
		}
		YYDEBUG(304, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1155 "Zend/zend_language_scanner.l"
		{
	char *hex = yytext + 2; /* Skip "0x" */
	int len = yyleng - 2;

	/* Skip any leading 0s */
	while (*hex == '0') {
		hex++;
		len--;
	}

	if (len < SIZEOF_LONG * 2 || (len == SIZEOF_LONG * 2 && *hex <= '7')) {
		zendlval->value.lval = strtol(hex, NULL, 16);
		zendlval->type = IS_LONG;
		return T_LNUMBER;
	} else {
		zendlval->value.dval = zend_hex_strtod(hex, NULL);
		zendlval->type = IS_DOUBLE;
		return T_DNUMBER;
	}
}
#line 4012 "Zend/zend_language_scanner.c"
yy305:
		YYDEBUG(305, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy307;
		if (yych == '\r') goto yy308;
yy306:
		YYDEBUG(306, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1569 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(INITIAL);
	return T_CLOSE_TAG;  /* implicit ';' at php-end tag */
}
#line 4029 "Zend/zend_language_scanner.c"
yy307:
		YYDEBUG(307, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy306;
yy308:
		YYDEBUG(308, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy307;
		goto yy306;
yy309:
		YYDEBUG(309, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(310, *YYCURSOR);
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy309;
			} else {
				if (yych <= '@') goto yy311;
				if (yych <= 'Z') goto yy309;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy309;
			} else {
				if (yych <= 'z') goto yy309;
				if (yych >= 0x7F) goto yy309;
			}
		}
yy311:
		YYDEBUG(311, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1455 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 4069 "Zend/zend_language_scanner.c"
yy312:
		YYDEBUG(312, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy313;
		if (yych != 'r') goto yy291;
yy313:
		YYDEBUG(313, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(314, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1079 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_XOR;
}
#line 4087 "Zend/zend_language_scanner.c"
yy315:
		YYDEBUG(315, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(316, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1071 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_OR;
}
#line 4100 "Zend/zend_language_scanner.c"
yy317:
		YYDEBUG(317, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(318, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1059 "Zend/zend_language_scanner.l"
		{
	return T_XOR_EQUAL;
}
#line 4110 "Zend/zend_language_scanner.c"
yy319:
		YYDEBUG(319, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(320, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1063 "Zend/zend_language_scanner.l"
		{
	return T_BOOLEAN_OR;
}
#line 4120 "Zend/zend_language_scanner.c"
yy321:
		YYDEBUG(321, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(322, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1055 "Zend/zend_language_scanner.l"
		{
	return T_OR_EQUAL;
}
#line 4130 "Zend/zend_language_scanner.c"
yy323:
		YYDEBUG(323, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(324, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1067 "Zend/zend_language_scanner.l"
		{
	return T_BOOLEAN_AND;
}
#line 4140 "Zend/zend_language_scanner.c"
yy325:
		YYDEBUG(325, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(326, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1051 "Zend/zend_language_scanner.l"
		{
	return T_AND_EQUAL;
}
#line 4150 "Zend/zend_language_scanner.c"
yy327:
		YYDEBUG(327, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy331;
		if (yych == '\r') goto yy332;
yy328:
		YYDEBUG(328, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1578 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		BEGIN(INITIAL);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		zendlval->value.str.val = yytext; /* no copying - intentional */
		return T_CLOSE_TAG;  /* implicit ';' at php-end tag */
	} else {
		yyless(1);
		return yytext[0];
	}
}
#line 4172 "Zend/zend_language_scanner.c"
yy329:
		YYDEBUG(329, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(330, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1039 "Zend/zend_language_scanner.l"
		{
	return T_MOD_EQUAL;
}
#line 4182 "Zend/zend_language_scanner.c"
yy331:
		YYDEBUG(331, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy328;
yy332:
		YYDEBUG(332, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy331;
		goto yy328;
yy333:
		YYDEBUG(333, *YYCURSOR);
		yyaccept = 5;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(334, *YYCURSOR);
		if (yych <= 'D') {
			if (yych <= '/') goto yy294;
			if (yych <= '9') goto yy333;
			goto yy294;
		} else {
			if (yych <= 'E') goto yy297;
			if (yych == 'e') goto yy297;
			goto yy294;
		}
yy335:
		YYDEBUG(335, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(336, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1035 "Zend/zend_language_scanner.l"
		{
	return T_CONCAT_EQUAL;
}
#line 4217 "Zend/zend_language_scanner.c"
yy337:
		YYDEBUG(337, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '*') goto yy342;
yy338:
		YYDEBUG(338, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1541 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_COMMENT);
	yymore();
}
#line 4231 "Zend/zend_language_scanner.c"
yy339:
		YYDEBUG(339, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy266;
yy340:
		YYDEBUG(340, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(341, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1031 "Zend/zend_language_scanner.l"
		{
	return T_DIV_EQUAL;
}
#line 4245 "Zend/zend_language_scanner.c"
yy342:
		YYDEBUG(342, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 64) {
			goto yy343;
		}
		goto yy281;
yy343:
		YYDEBUG(343, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(344, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy343;
		}
		YYDEBUG(345, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1535 "Zend/zend_language_scanner.l"
		{
	RESET_DOC_COMMENT();
	BEGIN(ST_DOC_COMMENT);
	yymore();
}
#line 4270 "Zend/zend_language_scanner.c"
yy346:
		YYDEBUG(346, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(347, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1027 "Zend/zend_language_scanner.l"
		{
	return T_MUL_EQUAL;
}
#line 4280 "Zend/zend_language_scanner.c"
yy348:
		YYDEBUG(348, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy352;
		YYDEBUG(349, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1087 "Zend/zend_language_scanner.l"
		{
	return T_SR;
}
#line 4291 "Zend/zend_language_scanner.c"
yy350:
		YYDEBUG(350, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(351, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1015 "Zend/zend_language_scanner.l"
		{
	return T_IS_GREATER_OR_EQUAL;
}
#line 4301 "Zend/zend_language_scanner.c"
yy352:
		YYDEBUG(352, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(353, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1047 "Zend/zend_language_scanner.l"
		{
	return T_SR_EQUAL;
}
#line 4311 "Zend/zend_language_scanner.c"
yy354:
		YYDEBUG(354, *YYCURSOR);
		yyaccept = 7;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= ';') goto yy355;
		if (yych <= '<') goto yy370;
		if (yych <= '=') goto yy368;
yy355:
		YYDEBUG(355, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1083 "Zend/zend_language_scanner.l"
		{
	return T_SL;
}
#line 4326 "Zend/zend_language_scanner.c"
yy356:
		YYDEBUG(356, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy361;
		if (yych == 's') goto yy361;
		goto yy281;
yy357:
		YYDEBUG(357, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(358, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1011 "Zend/zend_language_scanner.l"
		{
	return T_IS_SMALLER_OR_EQUAL;
}
#line 4342 "Zend/zend_language_scanner.c"
yy359:
		YYDEBUG(359, *YYCURSOR);
		++YYCURSOR;
yy360:
		YYDEBUG(360, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1007 "Zend/zend_language_scanner.l"
		{
	return T_IS_NOT_EQUAL;
}
#line 4353 "Zend/zend_language_scanner.c"
yy361:
		YYDEBUG(361, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy362;
		if (yych != 'c') goto yy281;
yy362:
		YYDEBUG(362, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy363;
		if (yych != 'r') goto yy281;
yy363:
		YYDEBUG(363, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy364;
		if (yych != 'i') goto yy281;
yy364:
		YYDEBUG(364, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy365;
		if (yych != 'p') goto yy281;
yy365:
		YYDEBUG(365, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy366;
		if (yych != 't') goto yy281;
yy366:
		YYDEBUG(366, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(367, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy281;
			if (yych <= '\n') goto yy366;
			if (yych <= '\f') goto yy281;
			goto yy366;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy281;
				goto yy366;
			} else {
				if (yych == '>') goto yy305;
				goto yy281;
			}
		}
yy368:
		YYDEBUG(368, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(369, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1043 "Zend/zend_language_scanner.l"
		{
	return T_SL_EQUAL;
}
#line 4408 "Zend/zend_language_scanner.c"
yy370:
		YYDEBUG(370, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(371, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy370;
		}
		if (yych <= 'Z') {
			if (yych <= '&') {
				if (yych == '"') goto yy375;
				goto yy281;
			} else {
				if (yych <= '\'') goto yy372;
				if (yych <= '@') goto yy281;
				goto yy373;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy373;
				goto yy281;
			} else {
				if (yych <= 'z') goto yy373;
				if (yych <= '~') goto yy281;
				goto yy373;
			}
		}
yy372:
		YYDEBUG(372, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\'') goto yy281;
		if (yych <= '/') goto yy383;
		if (yych <= '9') goto yy281;
		goto yy383;
yy373:
		YYDEBUG(373, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(374, *YYCURSOR);
		if (yych <= '@') {
			if (yych <= '\f') {
				if (yych == '\n') goto yy379;
				goto yy281;
			} else {
				if (yych <= '\r') goto yy381;
				if (yych <= '/') goto yy281;
				if (yych <= '9') goto yy373;
				goto yy281;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy373;
				if (yych <= '^') goto yy281;
				goto yy373;
			} else {
				if (yych <= '`') goto yy281;
				if (yych <= 'z') goto yy373;
				if (yych <= '~') goto yy281;
				goto yy373;
			}
		}
yy375:
		YYDEBUG(375, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '"') goto yy281;
		if (yych <= '/') goto yy377;
		if (yych <= '9') goto yy281;
		goto yy377;
yy376:
		YYDEBUG(376, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy377:
		YYDEBUG(377, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych != '"') goto yy281;
			} else {
				if (yych <= '9') goto yy376;
				if (yych <= '@') goto yy281;
				goto yy376;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy376;
				goto yy281;
			} else {
				if (yych <= 'z') goto yy376;
				if (yych <= '~') goto yy281;
				goto yy376;
			}
		}
		YYDEBUG(378, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy379;
		if (yych == '\r') goto yy381;
		goto yy281;
yy379:
		YYDEBUG(379, *YYCURSOR);
		++YYCURSOR;
yy380:
		YYDEBUG(380, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1650 "Zend/zend_language_scanner.l"
		{
	char *s;
	int bprefix = (yytext[0] != '<') ? 1 : 0;

	CG(zend_lineno)++;
	CG(heredoc_len) = yyleng-bprefix-3-1-(yytext[yyleng-2]=='\r'?1:0);
	s = yytext+bprefix+3;
	while ((*s == ' ') || (*s == '\t')) {
		s++;
		CG(heredoc_len)--;
	}

	if (*s == '"') {
		s++;
		CG(heredoc_len) -= 2;
	}
	CG(heredoc) = estrndup(s, CG(heredoc_len));
	BEGIN(ST_START_HEREDOC);
	return T_START_HEREDOC;
}
#line 4536 "Zend/zend_language_scanner.c"
yy381:
		YYDEBUG(381, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy379;
		goto yy380;
yy382:
		YYDEBUG(382, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy383:
		YYDEBUG(383, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych != '\'') goto yy281;
			} else {
				if (yych <= '9') goto yy382;
				if (yych <= '@') goto yy281;
				goto yy382;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy382;
				goto yy281;
			} else {
				if (yych <= 'z') goto yy382;
				if (yych <= '~') goto yy281;
				goto yy382;
			}
		}
		YYDEBUG(384, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy385;
		if (yych == '\r') goto yy387;
		goto yy281;
yy385:
		YYDEBUG(385, *YYCURSOR);
		++YYCURSOR;
yy386:
		YYDEBUG(386, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1821 "Zend/zend_language_scanner.l"
		{
	int bprefix = (yytext[0] != '<') ? 1 : 0;
	char *s;
	CG(zend_lineno)++;
	/* 3 is <<<, 2 is quotes, 1 is newline */
	CG(heredoc_len) = yyleng-bprefix-3-2-1-(yytext[yyleng-2]=='\r'?1:0);
	s = yytext+bprefix+3;
	while ((*s == ' ') || (*s == '\t')) {
		s++;
		CG(heredoc_len)--;
	}
	s++; /* first quote */
	CG(heredoc) = estrndup(s, CG(heredoc_len));
	BEGIN(ST_START_NOWDOC);
	return T_START_NOWDOC;
}
#line 4595 "Zend/zend_language_scanner.c"
yy387:
		YYDEBUG(387, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy385;
		goto yy386;
yy388:
		YYDEBUG(388, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '=') goto yy360;
		YYDEBUG(389, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(390, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 999 "Zend/zend_language_scanner.l"
		{
	return T_IS_NOT_IDENTICAL;
}
#line 4613 "Zend/zend_language_scanner.c"
yy391:
		YYDEBUG(391, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(392, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1019 "Zend/zend_language_scanner.l"
		{
	return T_PLUS_EQUAL;
}
#line 4623 "Zend/zend_language_scanner.c"
yy393:
		YYDEBUG(393, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(394, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 987 "Zend/zend_language_scanner.l"
		{
	return T_INC;
}
#line 4633 "Zend/zend_language_scanner.c"
yy395:
		YYDEBUG(395, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy396;
		if (yych != 's') goto yy291;
yy396:
		YYDEBUG(396, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy397;
		if (yych != 't') goto yy291;
yy397:
		YYDEBUG(397, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(398, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 979 "Zend/zend_language_scanner.l"
		{
	return T_LIST;
}
#line 4656 "Zend/zend_language_scanner.c"
yy399:
		YYDEBUG(399, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy403;
		YYDEBUG(400, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1003 "Zend/zend_language_scanner.l"
		{
	return T_IS_EQUAL;
}
#line 4667 "Zend/zend_language_scanner.c"
yy401:
		YYDEBUG(401, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(402, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 975 "Zend/zend_language_scanner.l"
		{
	return T_DOUBLE_ARROW;
}
#line 4677 "Zend/zend_language_scanner.c"
yy403:
		YYDEBUG(403, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(404, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 995 "Zend/zend_language_scanner.l"
		{
	return T_IS_IDENTICAL;
}
#line 4687 "Zend/zend_language_scanner.c"
yy405:
		YYDEBUG(405, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'H') {
			if (yych <= 'D') {
				if (yych <= 'B') goto yy291;
				if (yych <= 'C') goto yy407;
				goto yy411;
			} else {
				if (yych == 'F') goto yy408;
				if (yych <= 'G') goto yy291;
			}
		} else {
			if (yych <= 'M') {
				if (yych <= 'K') goto yy291;
				if (yych <= 'L') goto yy410;
				goto yy409;
			} else {
				if (yych <= 'N') goto yy412;
				if (yych != 'h') goto yy291;
			}
		}
		YYDEBUG(406, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy466;
		if (yych == 'a') goto yy466;
		goto yy291;
yy407:
		YYDEBUG(407, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy459;
		goto yy291;
yy408:
		YYDEBUG(408, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy443;
		if (yych == 'U') goto yy444;
		goto yy291;
yy409:
		YYDEBUG(409, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy435;
		goto yy291;
yy410:
		YYDEBUG(410, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy429;
		goto yy291;
yy411:
		YYDEBUG(411, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy424;
		goto yy291;
yy412:
		YYDEBUG(412, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'A') goto yy291;
		YYDEBUG(413, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'M') goto yy291;
		YYDEBUG(414, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'E') goto yy291;
		YYDEBUG(415, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'S') goto yy291;
		YYDEBUG(416, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'P') goto yy291;
		YYDEBUG(417, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'A') goto yy291;
		YYDEBUG(418, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'C') goto yy291;
		YYDEBUG(419, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'E') goto yy291;
		YYDEBUG(420, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(421, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(422, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(423, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1299 "Zend/zend_language_scanner.l"
		{
	if (CG(current_namespace)) {
		*zendlval = *CG(current_namespace);
		zval_copy_ctor(zendlval);
	} else {
		ZVAL_EMPTY_STRING(zendlval);
	}
	return T_NS_C;
}
#line 4789 "Zend/zend_language_scanner.c"
yy424:
		YYDEBUG(424, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'R') goto yy291;
		YYDEBUG(425, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(426, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(427, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(428, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1272 "Zend/zend_language_scanner.l"
		{
	char *filename = zend_get_compiled_filename(TSRMLS_C);
	const size_t filename_len = strlen(filename);
	char *dirname;

	if (!filename) {
		filename = "";
	}

	dirname = estrndup(filename, filename_len);
	zend_dirname(dirname, filename_len);

	if (strcmp(dirname, ".") == 0) {
		dirname = erealloc(dirname, MAXPATHLEN);
#if HAVE_GETCWD
		VCWD_GETCWD(dirname, MAXPATHLEN);
#elif HAVE_GETWD
		VCWD_GETWD(dirname);
#endif
	}

	zendlval->value.str.len = strlen(dirname);
	zendlval->value.str.val = dirname;
	zendlval->type = IS_STRING;
	return T_DIR;
}
#line 4834 "Zend/zend_language_scanner.c"
yy429:
		YYDEBUG(429, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'N') goto yy291;
		YYDEBUG(430, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'E') goto yy291;
		YYDEBUG(431, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(432, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(433, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(434, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1254 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = CG(zend_lineno);
	zendlval->type = IS_LONG;
	return T_LINE;
}
#line 4861 "Zend/zend_language_scanner.c"
yy435:
		YYDEBUG(435, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'T') goto yy291;
		YYDEBUG(436, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'H') goto yy291;
		YYDEBUG(437, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'O') goto yy291;
		YYDEBUG(438, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'D') goto yy291;
		YYDEBUG(439, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(440, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(441, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(442, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1233 "Zend/zend_language_scanner.l"
		{
	char *class_name = CG(active_class_entry) ? CG(active_class_entry)->name : NULL;
	char *func_name = CG(active_op_array)? CG(active_op_array)->function_name : NULL;
	size_t len = 0;

	if (class_name) {
		len += strlen(class_name) + 2;
	}
	if (func_name) {
		len += strlen(func_name);
	}

	zendlval->value.str.len = zend_spprintf(&zendlval->value.str.val, 0, "%s%s%s", 
		class_name ? class_name : "",
		class_name && func_name ? "::" : "",
		func_name ? func_name : ""
		);
	zendlval->type = IS_STRING;
	return T_METHOD_C;
}
#line 4909 "Zend/zend_language_scanner.c"
yy443:
		YYDEBUG(443, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy454;
		goto yy291;
yy444:
		YYDEBUG(444, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'N') goto yy291;
		YYDEBUG(445, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'C') goto yy291;
		YYDEBUG(446, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'T') goto yy291;
		YYDEBUG(447, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'I') goto yy291;
		YYDEBUG(448, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'O') goto yy291;
		YYDEBUG(449, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'N') goto yy291;
		YYDEBUG(450, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(451, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(452, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(453, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1217 "Zend/zend_language_scanner.l"
		{
	char *func_name = NULL;

	if (CG(active_op_array)) {
		func_name = CG(active_op_array)->function_name;
	}

	if (!func_name) {
		func_name = "";
	}
	zendlval->value.str.len = strlen(func_name);
	zendlval->value.str.val = estrndup(func_name, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_FUNC_C;
}
#line 4963 "Zend/zend_language_scanner.c"
yy454:
		YYDEBUG(454, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'E') goto yy291;
		YYDEBUG(455, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(456, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(457, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(458, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1260 "Zend/zend_language_scanner.l"
		{
	char *filename = zend_get_compiled_filename(TSRMLS_C);

	if (!filename) {
		filename = "";
	}
	zendlval->value.str.len = strlen(filename);
	zendlval->value.str.val = estrndup(filename, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_FILE;
}
#line 4993 "Zend/zend_language_scanner.c"
yy459:
		YYDEBUG(459, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'A') goto yy291;
		YYDEBUG(460, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'S') goto yy291;
		YYDEBUG(461, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'S') goto yy291;
		YYDEBUG(462, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(463, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(464, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(465, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1201 "Zend/zend_language_scanner.l"
		{
	char *class_name = NULL;

	if (CG(active_class_entry)) {
		class_name = CG(active_class_entry)->name;
	}

	if (!class_name) {
		class_name = "";
	}
	zendlval->value.str.len = strlen(class_name);
	zendlval->value.str.val = estrndup(class_name, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_CLASS_C;
}
#line 5033 "Zend/zend_language_scanner.c"
yy466:
		YYDEBUG(466, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy467;
		if (yych != 'l') goto yy291;
yy467:
		YYDEBUG(467, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy468;
		if (yych != 't') goto yy291;
yy468:
		YYDEBUG(468, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy291;
		YYDEBUG(469, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy470;
		if (yych != 'c') goto yy291;
yy470:
		YYDEBUG(470, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy471;
		if (yych != 'o') goto yy291;
yy471:
		YYDEBUG(471, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy472;
		if (yych != 'm') goto yy291;
yy472:
		YYDEBUG(472, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy473;
		if (yych != 'p') goto yy291;
yy473:
		YYDEBUG(473, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy474;
		if (yych != 'i') goto yy291;
yy474:
		YYDEBUG(474, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy475;
		if (yych != 'l') goto yy291;
yy475:
		YYDEBUG(475, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy476;
		if (yych != 'e') goto yy291;
yy476:
		YYDEBUG(476, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy477;
		if (yych != 'r') goto yy291;
yy477:
		YYDEBUG(477, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(478, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 943 "Zend/zend_language_scanner.l"
		{
	return T_HALT_COMPILER;
}
#line 5099 "Zend/zend_language_scanner.c"
yy479:
		YYDEBUG(479, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy483;
		if (yych == 's') goto yy483;
		goto yy291;
yy480:
		YYDEBUG(480, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy481;
		if (yych != 'e') goto yy291;
yy481:
		YYDEBUG(481, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(482, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 927 "Zend/zend_language_scanner.l"
		{
	return T_USE;
}
#line 5123 "Zend/zend_language_scanner.c"
yy483:
		YYDEBUG(483, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy484;
		if (yych != 'e') goto yy291;
yy484:
		YYDEBUG(484, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy485;
		if (yych != 't') goto yy291;
yy485:
		YYDEBUG(485, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(486, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 971 "Zend/zend_language_scanner.l"
		{
	return T_UNSET;
}
#line 5146 "Zend/zend_language_scanner.c"
yy487:
		YYDEBUG(487, *YYCURSOR);
		++YYCURSOR;
		YYFILL(7);
		yych = *YYCURSOR;
yy488:
		YYDEBUG(488, *YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'D') {
				if (yych <= ' ') {
					if (yych == '\t') goto yy487;
					if (yych <= 0x1F) goto yy281;
					goto yy487;
				} else {
					if (yych <= 'A') {
						if (yych <= '@') goto yy281;
						goto yy492;
					} else {
						if (yych <= 'B') goto yy490;
						if (yych <= 'C') goto yy281;
						goto yy495;
					}
				}
			} else {
				if (yych <= 'I') {
					if (yych == 'F') goto yy496;
					if (yych <= 'H') goto yy281;
					goto yy497;
				} else {
					if (yych <= 'O') {
						if (yych <= 'N') goto yy281;
						goto yy491;
					} else {
						if (yych <= 'Q') goto yy281;
						if (yych <= 'R') goto yy494;
						goto yy493;
					}
				}
			}
		} else {
			if (yych <= 'f') {
				if (yych <= 'a') {
					if (yych == 'U') goto yy489;
					if (yych <= '`') goto yy281;
					goto yy492;
				} else {
					if (yych <= 'c') {
						if (yych <= 'b') goto yy490;
						goto yy281;
					} else {
						if (yych <= 'd') goto yy495;
						if (yych <= 'e') goto yy281;
						goto yy496;
					}
				}
			} else {
				if (yych <= 'q') {
					if (yych <= 'i') {
						if (yych <= 'h') goto yy281;
						goto yy497;
					} else {
						if (yych == 'o') goto yy491;
						goto yy281;
					}
				} else {
					if (yych <= 's') {
						if (yych <= 'r') goto yy494;
						goto yy493;
					} else {
						if (yych != 'u') goto yy281;
					}
				}
			}
		}
yy489:
		YYDEBUG(489, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy560;
		if (yych == 'n') goto yy560;
		goto yy281;
yy490:
		YYDEBUG(490, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'I') goto yy543;
			if (yych <= 'N') goto yy281;
			goto yy544;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy281;
				goto yy543;
			} else {
				if (yych == 'o') goto yy544;
				goto yy281;
			}
		}
yy491:
		YYDEBUG(491, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy535;
		if (yych == 'b') goto yy535;
		goto yy281;
yy492:
		YYDEBUG(492, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy528;
		if (yych == 'r') goto yy528;
		goto yy281;
yy493:
		YYDEBUG(493, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy520;
		if (yych == 't') goto yy520;
		goto yy281;
yy494:
		YYDEBUG(494, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy518;
		if (yych == 'e') goto yy518;
		goto yy281;
yy495:
		YYDEBUG(495, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy514;
		if (yych == 'o') goto yy514;
		goto yy281;
yy496:
		YYDEBUG(496, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy507;
		if (yych == 'l') goto yy507;
		goto yy281;
yy497:
		YYDEBUG(497, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy498;
		if (yych != 'n') goto yy281;
yy498:
		YYDEBUG(498, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy499;
		if (yych != 't') goto yy281;
yy499:
		YYDEBUG(499, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy500;
		if (yych != 'e') goto yy502;
yy500:
		YYDEBUG(500, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy505;
		if (yych == 'g') goto yy505;
		goto yy281;
yy501:
		YYDEBUG(501, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy502:
		YYDEBUG(502, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy501;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy501;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(503, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(504, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 871 "Zend/zend_language_scanner.l"
		{
	return T_INT_CAST;
}
#line 5322 "Zend/zend_language_scanner.c"
yy505:
		YYDEBUG(505, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy506;
		if (yych != 'e') goto yy281;
yy506:
		YYDEBUG(506, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy501;
		if (yych == 'r') goto yy501;
		goto yy281;
yy507:
		YYDEBUG(507, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy508;
		if (yych != 'o') goto yy281;
yy508:
		YYDEBUG(508, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy509;
		if (yych != 'a') goto yy281;
yy509:
		YYDEBUG(509, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy510;
		if (yych != 't') goto yy281;
yy510:
		YYDEBUG(510, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(511, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy510;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy510;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(512, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(513, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 875 "Zend/zend_language_scanner.l"
		{
	return T_DOUBLE_CAST;
}
#line 5370 "Zend/zend_language_scanner.c"
yy514:
		YYDEBUG(514, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy515;
		if (yych != 'u') goto yy281;
yy515:
		YYDEBUG(515, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy516;
		if (yych != 'b') goto yy281;
yy516:
		YYDEBUG(516, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy517;
		if (yych != 'l') goto yy281;
yy517:
		YYDEBUG(517, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy510;
		if (yych == 'e') goto yy510;
		goto yy281;
yy518:
		YYDEBUG(518, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy519;
		if (yych != 'a') goto yy281;
yy519:
		YYDEBUG(519, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy510;
		if (yych == 'l') goto yy510;
		goto yy281;
yy520:
		YYDEBUG(520, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy521;
		if (yych != 'r') goto yy281;
yy521:
		YYDEBUG(521, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy522;
		if (yych != 'i') goto yy281;
yy522:
		YYDEBUG(522, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy523;
		if (yych != 'n') goto yy281;
yy523:
		YYDEBUG(523, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy524;
		if (yych != 'g') goto yy281;
yy524:
		YYDEBUG(524, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(525, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy524;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy524;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(526, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(527, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 879 "Zend/zend_language_scanner.l"
		{
	return T_STRING_CAST;
}
#line 5444 "Zend/zend_language_scanner.c"
yy528:
		YYDEBUG(528, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy529;
		if (yych != 'r') goto yy281;
yy529:
		YYDEBUG(529, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy530;
		if (yych != 'a') goto yy281;
yy530:
		YYDEBUG(530, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy531;
		if (yych != 'y') goto yy281;
yy531:
		YYDEBUG(531, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(532, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy531;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy531;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(533, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(534, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 887 "Zend/zend_language_scanner.l"
		{
	return T_ARRAY_CAST;
}
#line 5481 "Zend/zend_language_scanner.c"
yy535:
		YYDEBUG(535, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'J') goto yy536;
		if (yych != 'j') goto yy281;
yy536:
		YYDEBUG(536, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy537;
		if (yych != 'e') goto yy281;
yy537:
		YYDEBUG(537, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy538;
		if (yych != 'c') goto yy281;
yy538:
		YYDEBUG(538, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy539;
		if (yych != 't') goto yy281;
yy539:
		YYDEBUG(539, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(540, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy539;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy539;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(541, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(542, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 891 "Zend/zend_language_scanner.l"
		{
	return T_OBJECT_CAST;
}
#line 5523 "Zend/zend_language_scanner.c"
yy543:
		YYDEBUG(543, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy553;
		if (yych == 'n') goto yy553;
		goto yy281;
yy544:
		YYDEBUG(544, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy545;
		if (yych != 'o') goto yy281;
yy545:
		YYDEBUG(545, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy546;
		if (yych != 'l') goto yy281;
yy546:
		YYDEBUG(546, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy551;
		if (yych == 'e') goto yy551;
		goto yy548;
yy547:
		YYDEBUG(547, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy548:
		YYDEBUG(548, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy547;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy547;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(549, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(550, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 895 "Zend/zend_language_scanner.l"
		{
	return T_BOOL_CAST;
}
#line 5568 "Zend/zend_language_scanner.c"
yy551:
		YYDEBUG(551, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy552;
		if (yych != 'a') goto yy281;
yy552:
		YYDEBUG(552, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy547;
		if (yych == 'n') goto yy547;
		goto yy281;
yy553:
		YYDEBUG(553, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy554;
		if (yych != 'a') goto yy281;
yy554:
		YYDEBUG(554, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy555;
		if (yych != 'r') goto yy281;
yy555:
		YYDEBUG(555, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy556;
		if (yych != 'y') goto yy281;
yy556:
		YYDEBUG(556, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(557, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy556;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy556;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(558, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(559, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 883 "Zend/zend_language_scanner.l"
		{
	return T_STRING_CAST;
}
#line 5616 "Zend/zend_language_scanner.c"
yy560:
		YYDEBUG(560, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy561;
		if (yych != 's') goto yy281;
yy561:
		YYDEBUG(561, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy562;
		if (yych != 'e') goto yy281;
yy562:
		YYDEBUG(562, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy563;
		if (yych != 't') goto yy281;
yy563:
		YYDEBUG(563, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(564, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy563;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy563;
			if (yych != ')') goto yy281;
		}
		YYDEBUG(565, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(566, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 899 "Zend/zend_language_scanner.l"
		{
	return T_UNSET_CAST;
}
#line 5653 "Zend/zend_language_scanner.c"
yy567:
		YYDEBUG(567, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy568;
		if (yych != 'r') goto yy291;
yy568:
		YYDEBUG(568, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(569, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 867 "Zend/zend_language_scanner.l"
		{
	return T_VAR;
}
#line 5671 "Zend/zend_language_scanner.c"
yy570:
		YYDEBUG(570, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy574;
		if (yych == 'm') goto yy574;
		goto yy291;
yy571:
		YYDEBUG(571, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy572;
		if (yych != 'w') goto yy291;
yy572:
		YYDEBUG(572, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(573, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 859 "Zend/zend_language_scanner.l"
		{
	return T_NEW;
}
#line 5695 "Zend/zend_language_scanner.c"
yy574:
		YYDEBUG(574, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy575;
		if (yych != 'e') goto yy291;
yy575:
		YYDEBUG(575, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy576;
		if (yych != 's') goto yy291;
yy576:
		YYDEBUG(576, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy577;
		if (yych != 'p') goto yy291;
yy577:
		YYDEBUG(577, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy578;
		if (yych != 'a') goto yy291;
yy578:
		YYDEBUG(578, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy579;
		if (yych != 'c') goto yy291;
yy579:
		YYDEBUG(579, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy580;
		if (yych != 'e') goto yy291;
yy580:
		YYDEBUG(580, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(581, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 923 "Zend/zend_language_scanner.l"
		{
	return T_NAMESPACE;
}
#line 5738 "Zend/zend_language_scanner.c"
yy582:
		YYDEBUG(582, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(583, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 855 "Zend/zend_language_scanner.l"
		{
	return T_PAAMAYIM_NEKUDOTAYIM;
}
#line 5748 "Zend/zend_language_scanner.c"
yy584:
		YYDEBUG(584, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy585:
		YYDEBUG(585, *YYCURSOR);
		if (yych <= '\f') {
			if (yych <= 0x08) goto yy232;
			if (yych <= '\n') goto yy584;
			goto yy232;
		} else {
			if (yych <= '\r') goto yy584;
			if (yych == ' ') goto yy584;
			goto yy232;
		}
yy586:
		YYDEBUG(586, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(587, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1023 "Zend/zend_language_scanner.l"
		{
	return T_MINUS_EQUAL;
}
#line 5774 "Zend/zend_language_scanner.c"
yy588:
		YYDEBUG(588, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(589, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 991 "Zend/zend_language_scanner.l"
		{
	return T_DEC;
}
#line 5784 "Zend/zend_language_scanner.c"
yy590:
		YYDEBUG(590, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(591, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 825 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	return T_OBJECT_OPERATOR;
}
#line 5795 "Zend/zend_language_scanner.c"
yy592:
		YYDEBUG(592, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'I') goto yy599;
			if (yych <= 'N') goto yy291;
			goto yy600;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy291;
				goto yy599;
			} else {
				if (yych == 'o') goto yy600;
				goto yy291;
			}
		}
yy593:
		YYDEBUG(593, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy594;
		if (yych != 'b') goto yy291;
yy594:
		YYDEBUG(594, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy595;
		if (yych != 'l') goto yy291;
yy595:
		YYDEBUG(595, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy596;
		if (yych != 'i') goto yy291;
yy596:
		YYDEBUG(596, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy597;
		if (yych != 'c') goto yy291;
yy597:
		YYDEBUG(597, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(598, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 967 "Zend/zend_language_scanner.l"
		{
	return T_PUBLIC;
}
#line 5844 "Zend/zend_language_scanner.c"
yy599:
		YYDEBUG(599, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'V') {
			if (yych == 'N') goto yy608;
			if (yych <= 'U') goto yy291;
			goto yy609;
		} else {
			if (yych <= 'n') {
				if (yych <= 'm') goto yy291;
				goto yy608;
			} else {
				if (yych == 'v') goto yy609;
				goto yy291;
			}
		}
yy600:
		YYDEBUG(600, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy601;
		if (yych != 't') goto yy291;
yy601:
		YYDEBUG(601, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy602;
		if (yych != 'e') goto yy291;
yy602:
		YYDEBUG(602, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy603;
		if (yych != 'c') goto yy291;
yy603:
		YYDEBUG(603, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy604;
		if (yych != 't') goto yy291;
yy604:
		YYDEBUG(604, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy605;
		if (yych != 'e') goto yy291;
yy605:
		YYDEBUG(605, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy606;
		if (yych != 'd') goto yy291;
yy606:
		YYDEBUG(606, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(607, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 963 "Zend/zend_language_scanner.l"
		{
	return T_PROTECTED;
}
#line 5903 "Zend/zend_language_scanner.c"
yy608:
		YYDEBUG(608, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy614;
		if (yych == 't') goto yy614;
		goto yy291;
yy609:
		YYDEBUG(609, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy610;
		if (yych != 'a') goto yy291;
yy610:
		YYDEBUG(610, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy611;
		if (yych != 't') goto yy291;
yy611:
		YYDEBUG(611, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy612;
		if (yych != 'e') goto yy291;
yy612:
		YYDEBUG(612, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(613, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 959 "Zend/zend_language_scanner.l"
		{
	return T_PRIVATE;
}
#line 5937 "Zend/zend_language_scanner.c"
yy614:
		YYDEBUG(614, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(615, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 805 "Zend/zend_language_scanner.l"
		{
	return T_PRINT;
}
#line 5950 "Zend/zend_language_scanner.c"
yy616:
		YYDEBUG(616, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy621;
		if (yych == 'o') goto yy621;
		goto yy291;
yy617:
		YYDEBUG(617, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy618;
		if (yych != 't') goto yy291;
yy618:
		YYDEBUG(618, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy619;
		if (yych != 'o') goto yy291;
yy619:
		YYDEBUG(619, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(620, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 797 "Zend/zend_language_scanner.l"
		{
	return T_GOTO;
}
#line 5979 "Zend/zend_language_scanner.c"
yy621:
		YYDEBUG(621, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy622;
		if (yych != 'b') goto yy291;
yy622:
		YYDEBUG(622, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy623;
		if (yych != 'a') goto yy291;
yy623:
		YYDEBUG(623, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy624;
		if (yych != 'l') goto yy291;
yy624:
		YYDEBUG(624, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(625, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 931 "Zend/zend_language_scanner.l"
		{
	return T_GLOBAL;
}
#line 6007 "Zend/zend_language_scanner.c"
yy626:
		YYDEBUG(626, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '<') goto yy633;
		goto yy281;
yy627:
		YYDEBUG(627, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy283;
yy628:
		YYDEBUG(628, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy629;
		if (yych != 'e') goto yy291;
yy629:
		YYDEBUG(629, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy630;
		if (yych != 'a') goto yy291;
yy630:
		YYDEBUG(630, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'K') goto yy631;
		if (yych != 'k') goto yy291;
yy631:
		YYDEBUG(631, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(632, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 789 "Zend/zend_language_scanner.l"
		{
	return T_BREAK;
}
#line 6045 "Zend/zend_language_scanner.c"
yy633:
		YYDEBUG(633, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '<') goto yy370;
		goto yy281;
yy634:
		YYDEBUG(634, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy641;
		if (yych == 'a') goto yy641;
		goto yy291;
yy635:
		YYDEBUG(635, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy636;
		if (yych != 'i') goto yy291;
yy636:
		YYDEBUG(636, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy637;
		if (yych != 't') goto yy291;
yy637:
		YYDEBUG(637, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy638;
		if (yych != 'c') goto yy291;
yy638:
		YYDEBUG(638, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy639;
		if (yych != 'h') goto yy291;
yy639:
		YYDEBUG(639, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(640, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 773 "Zend/zend_language_scanner.l"
		{
	return T_SWITCH;
}
#line 6089 "Zend/zend_language_scanner.c"
yy641:
		YYDEBUG(641, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy642;
		if (yych != 't') goto yy291;
yy642:
		YYDEBUG(642, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy643;
		if (yych != 'i') goto yy291;
yy643:
		YYDEBUG(643, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy644;
		if (yych != 'c') goto yy291;
yy644:
		YYDEBUG(644, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(645, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 947 "Zend/zend_language_scanner.l"
		{
	return T_STATIC;
}
#line 6117 "Zend/zend_language_scanner.c"
yy646:
		YYDEBUG(646, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy657;
		if (yych == 's') goto yy657;
		goto yy291;
yy647:
		YYDEBUG(647, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy655;
		if (yych == 'd') goto yy655;
		goto yy291;
yy648:
		YYDEBUG(648, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy651;
		if (yych == 'r') goto yy651;
		goto yy291;
yy649:
		YYDEBUG(649, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(650, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 769 "Zend/zend_language_scanner.l"
		{
	return T_AS;
}
#line 6148 "Zend/zend_language_scanner.c"
yy651:
		YYDEBUG(651, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy652;
		if (yych != 'a') goto yy291;
yy652:
		YYDEBUG(652, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy653;
		if (yych != 'y') goto yy291;
yy653:
		YYDEBUG(653, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(654, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 983 "Zend/zend_language_scanner.l"
		{
	return T_ARRAY;
}
#line 6171 "Zend/zend_language_scanner.c"
yy655:
		YYDEBUG(655, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(656, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1075 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_AND;
}
#line 6184 "Zend/zend_language_scanner.c"
yy657:
		YYDEBUG(657, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy658;
		if (yych != 't') goto yy291;
yy658:
		YYDEBUG(658, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy659;
		if (yych != 'r') goto yy291;
yy659:
		YYDEBUG(659, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy660;
		if (yych != 'a') goto yy291;
yy660:
		YYDEBUG(660, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy661;
		if (yych != 'c') goto yy291;
yy661:
		YYDEBUG(661, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy662;
		if (yych != 't') goto yy291;
yy662:
		YYDEBUG(662, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(663, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 951 "Zend/zend_language_scanner.l"
		{
	return T_ABSTRACT;
}
#line 6222 "Zend/zend_language_scanner.c"
yy664:
		YYDEBUG(664, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy665;
		if (yych != 'i') goto yy291;
yy665:
		YYDEBUG(665, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy666;
		if (yych != 'l') goto yy291;
yy666:
		YYDEBUG(666, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy667;
		if (yych != 'e') goto yy291;
yy667:
		YYDEBUG(667, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(668, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 729 "Zend/zend_language_scanner.l"
		{
	return T_WHILE;
}
#line 6250 "Zend/zend_language_scanner.c"
yy669:
		YYDEBUG(669, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(670, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 713 "Zend/zend_language_scanner.l"
		{
	return T_IF;
}
#line 6263 "Zend/zend_language_scanner.c"
yy671:
		YYDEBUG(671, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy707;
		if (yych == 'p') goto yy707;
		goto yy291;
yy672:
		YYDEBUG(672, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'C') {
				if (yych <= 'B') goto yy291;
				goto yy680;
			} else {
				if (yych <= 'R') goto yy291;
				if (yych <= 'S') goto yy678;
				goto yy679;
			}
		} else {
			if (yych <= 'r') {
				if (yych == 'c') goto yy680;
				goto yy291;
			} else {
				if (yych <= 's') goto yy678;
				if (yych <= 't') goto yy679;
				goto yy291;
			}
		}
yy673:
		YYDEBUG(673, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy674;
		if (yych != 's') goto yy291;
yy674:
		YYDEBUG(674, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy675;
		if (yych != 'e') goto yy291;
yy675:
		YYDEBUG(675, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy676;
		if (yych != 't') goto yy291;
yy676:
		YYDEBUG(676, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(677, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 935 "Zend/zend_language_scanner.l"
		{
	return T_ISSET;
}
#line 6319 "Zend/zend_language_scanner.c"
yy678:
		YYDEBUG(678, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy699;
		if (yych == 't') goto yy699;
		goto yy291;
yy679:
		YYDEBUG(679, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy692;
		if (yych == 'e') goto yy692;
		goto yy291;
yy680:
		YYDEBUG(680, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy681;
		if (yych != 'l') goto yy291;
yy681:
		YYDEBUG(681, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy682;
		if (yych != 'u') goto yy291;
yy682:
		YYDEBUG(682, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy683;
		if (yych != 'd') goto yy291;
yy683:
		YYDEBUG(683, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy684;
		if (yych != 'e') goto yy291;
yy684:
		YYDEBUG(684, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy290;
			} else {
				if (yych <= '@') goto yy685;
				if (yych <= 'Z') goto yy290;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy686;
			} else {
				if (yych <= 'z') goto yy290;
				if (yych >= 0x7F) goto yy290;
			}
		}
yy685:
		YYDEBUG(685, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 907 "Zend/zend_language_scanner.l"
		{
	return T_INCLUDE;
}
#line 6377 "Zend/zend_language_scanner.c"
yy686:
		YYDEBUG(686, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy687;
		if (yych != 'o') goto yy291;
yy687:
		YYDEBUG(687, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy688;
		if (yych != 'n') goto yy291;
yy688:
		YYDEBUG(688, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy689;
		if (yych != 'c') goto yy291;
yy689:
		YYDEBUG(689, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy690;
		if (yych != 'e') goto yy291;
yy690:
		YYDEBUG(690, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(691, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 911 "Zend/zend_language_scanner.l"
		{
	return T_INCLUDE_ONCE;
}
#line 6410 "Zend/zend_language_scanner.c"
yy692:
		YYDEBUG(692, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy693;
		if (yych != 'r') goto yy291;
yy693:
		YYDEBUG(693, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy694;
		if (yych != 'f') goto yy291;
yy694:
		YYDEBUG(694, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy695;
		if (yych != 'a') goto yy291;
yy695:
		YYDEBUG(695, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy696;
		if (yych != 'c') goto yy291;
yy696:
		YYDEBUG(696, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy697;
		if (yych != 'e') goto yy291;
yy697:
		YYDEBUG(697, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(698, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 813 "Zend/zend_language_scanner.l"
		{
	return T_INTERFACE;
}
#line 6448 "Zend/zend_language_scanner.c"
yy699:
		YYDEBUG(699, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy700;
		if (yych != 'a') goto yy291;
yy700:
		YYDEBUG(700, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy701;
		if (yych != 'n') goto yy291;
yy701:
		YYDEBUG(701, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy702;
		if (yych != 'c') goto yy291;
yy702:
		YYDEBUG(702, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy703;
		if (yych != 'e') goto yy291;
yy703:
		YYDEBUG(703, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy704;
		if (yych != 'o') goto yy291;
yy704:
		YYDEBUG(704, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy705;
		if (yych != 'f') goto yy291;
yy705:
		YYDEBUG(705, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(706, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 765 "Zend/zend_language_scanner.l"
		{
	return T_INSTANCEOF;
}
#line 6491 "Zend/zend_language_scanner.c"
yy707:
		YYDEBUG(707, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy708;
		if (yych != 'l') goto yy291;
yy708:
		YYDEBUG(708, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy709;
		if (yych != 'e') goto yy291;
yy709:
		YYDEBUG(709, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy710;
		if (yych != 'm') goto yy291;
yy710:
		YYDEBUG(710, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy711;
		if (yych != 'e') goto yy291;
yy711:
		YYDEBUG(711, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy712;
		if (yych != 'n') goto yy291;
yy712:
		YYDEBUG(712, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy713;
		if (yych != 't') goto yy291;
yy713:
		YYDEBUG(713, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy714;
		if (yych != 's') goto yy291;
yy714:
		YYDEBUG(714, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(715, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 821 "Zend/zend_language_scanner.l"
		{
	return T_IMPLEMENTS;
}
#line 6539 "Zend/zend_language_scanner.c"
yy716:
		YYDEBUG(716, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy720;
		if (yych == 'r') goto yy720;
		goto yy291;
yy717:
		YYDEBUG(717, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy718;
		if (yych != 'y') goto yy291;
yy718:
		YYDEBUG(718, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(719, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 701 "Zend/zend_language_scanner.l"
		{
	return T_TRY;
}
#line 6563 "Zend/zend_language_scanner.c"
yy720:
		YYDEBUG(720, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy721;
		if (yych != 'o') goto yy291;
yy721:
		YYDEBUG(721, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy722;
		if (yych != 'w') goto yy291;
yy722:
		YYDEBUG(722, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(723, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 709 "Zend/zend_language_scanner.l"
		{
	return T_THROW;
}
#line 6586 "Zend/zend_language_scanner.c"
yy724:
		YYDEBUG(724, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych == 'Q') goto yy726;
			if (yych <= 'S') goto yy291;
		} else {
			if (yych <= 'q') {
				if (yych <= 'p') goto yy291;
				goto yy726;
			} else {
				if (yych != 't') goto yy291;
			}
		}
		YYDEBUG(725, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy738;
		if (yych == 'u') goto yy738;
		goto yy291;
yy726:
		YYDEBUG(726, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy727;
		if (yych != 'u') goto yy291;
yy727:
		YYDEBUG(727, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy728;
		if (yych != 'i') goto yy291;
yy728:
		YYDEBUG(728, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy729;
		if (yych != 'r') goto yy291;
yy729:
		YYDEBUG(729, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy730;
		if (yych != 'e') goto yy291;
yy730:
		YYDEBUG(730, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy290;
			} else {
				if (yych <= '@') goto yy731;
				if (yych <= 'Z') goto yy290;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy732;
			} else {
				if (yych <= 'z') goto yy290;
				if (yych >= 0x7F) goto yy290;
			}
		}
yy731:
		YYDEBUG(731, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 915 "Zend/zend_language_scanner.l"
		{
	return T_REQUIRE;
}
#line 6651 "Zend/zend_language_scanner.c"
yy732:
		YYDEBUG(732, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy733;
		if (yych != 'o') goto yy291;
yy733:
		YYDEBUG(733, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy734;
		if (yych != 'n') goto yy291;
yy734:
		YYDEBUG(734, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy735;
		if (yych != 'c') goto yy291;
yy735:
		YYDEBUG(735, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy736;
		if (yych != 'e') goto yy291;
yy736:
		YYDEBUG(736, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(737, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 919 "Zend/zend_language_scanner.l"
		{
	return T_REQUIRE_ONCE;
}
#line 6684 "Zend/zend_language_scanner.c"
yy738:
		YYDEBUG(738, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy739;
		if (yych != 'r') goto yy291;
yy739:
		YYDEBUG(739, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy740;
		if (yych != 'n') goto yy291;
yy740:
		YYDEBUG(740, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(741, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 697 "Zend/zend_language_scanner.l"
		{
	return T_RETURN;
}
#line 6707 "Zend/zend_language_scanner.c"
yy742:
		YYDEBUG(742, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'R') goto yy291;
			if (yych <= 'S') goto yy764;
			goto yy763;
		} else {
			if (yych <= 'r') goto yy291;
			if (yych <= 's') goto yy764;
			if (yych <= 't') goto yy763;
			goto yy291;
		}
yy743:
		YYDEBUG(743, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'A') goto yy755;
			if (yych <= 'N') goto yy291;
			goto yy756;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy291;
				goto yy755;
			} else {
				if (yych == 'o') goto yy756;
				goto yy291;
			}
		}
yy744:
		YYDEBUG(744, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy745;
		if (yych != 'n') goto yy291;
yy745:
		YYDEBUG(745, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'R') goto yy291;
			if (yych >= 'T') goto yy747;
		} else {
			if (yych <= 'r') goto yy291;
			if (yych <= 's') goto yy746;
			if (yych <= 't') goto yy747;
			goto yy291;
		}
yy746:
		YYDEBUG(746, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy753;
		if (yych == 't') goto yy753;
		goto yy291;
yy747:
		YYDEBUG(747, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy748;
		if (yych != 'i') goto yy291;
yy748:
		YYDEBUG(748, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy749;
		if (yych != 'n') goto yy291;
yy749:
		YYDEBUG(749, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy750;
		if (yych != 'u') goto yy291;
yy750:
		YYDEBUG(750, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy751;
		if (yych != 'e') goto yy291;
yy751:
		YYDEBUG(751, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(752, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 793 "Zend/zend_language_scanner.l"
		{
	return T_CONTINUE;
}
#line 6792 "Zend/zend_language_scanner.c"
yy753:
		YYDEBUG(753, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(754, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 693 "Zend/zend_language_scanner.l"
		{
	return T_CONST;
}
#line 6805 "Zend/zend_language_scanner.c"
yy755:
		YYDEBUG(755, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy760;
		if (yych == 's') goto yy760;
		goto yy291;
yy756:
		YYDEBUG(756, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy757;
		if (yych != 'n') goto yy291;
yy757:
		YYDEBUG(757, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy758;
		if (yych != 'e') goto yy291;
yy758:
		YYDEBUG(758, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(759, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 863 "Zend/zend_language_scanner.l"
		{
	return T_CLONE;
}
#line 6834 "Zend/zend_language_scanner.c"
yy760:
		YYDEBUG(760, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy761;
		if (yych != 's') goto yy291;
yy761:
		YYDEBUG(761, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(762, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 809 "Zend/zend_language_scanner.l"
		{
	return T_CLASS;
}
#line 6852 "Zend/zend_language_scanner.c"
yy763:
		YYDEBUG(763, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy767;
		if (yych == 'c') goto yy767;
		goto yy291;
yy764:
		YYDEBUG(764, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy765;
		if (yych != 'e') goto yy291;
yy765:
		YYDEBUG(765, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(766, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 781 "Zend/zend_language_scanner.l"
		{
	return T_CASE;
}
#line 6876 "Zend/zend_language_scanner.c"
yy767:
		YYDEBUG(767, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy768;
		if (yych != 'h') goto yy291;
yy768:
		YYDEBUG(768, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(769, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 705 "Zend/zend_language_scanner.l"
		{
	return T_CATCH;
}
#line 6894 "Zend/zend_language_scanner.c"
yy770:
		YYDEBUG(770, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy787;
		if (yych == 'n') goto yy787;
		goto yy291;
yy771:
		YYDEBUG(771, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy780;
		if (yych == 'r') goto yy780;
		goto yy291;
yy772:
		YYDEBUG(772, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy773;
		if (yych != 'n') goto yy291;
yy773:
		YYDEBUG(773, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy774;
		if (yych != 'c') goto yy291;
yy774:
		YYDEBUG(774, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy775;
		if (yych != 't') goto yy291;
yy775:
		YYDEBUG(775, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy776;
		if (yych != 'i') goto yy291;
yy776:
		YYDEBUG(776, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy777;
		if (yych != 'o') goto yy291;
yy777:
		YYDEBUG(777, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy778;
		if (yych != 'n') goto yy291;
yy778:
		YYDEBUG(778, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(779, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 689 "Zend/zend_language_scanner.l"
		{
	return T_FUNCTION;
}
#line 6949 "Zend/zend_language_scanner.c"
yy780:
		YYDEBUG(780, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy781;
				if (yych <= '9') goto yy290;
			} else {
				if (yych == 'E') goto yy782;
				if (yych <= 'Z') goto yy290;
			}
		} else {
			if (yych <= 'd') {
				if (yych != '`') goto yy290;
			} else {
				if (yych <= 'e') goto yy782;
				if (yych <= 'z') goto yy290;
				if (yych >= 0x7F) goto yy290;
			}
		}
yy781:
		YYDEBUG(781, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 741 "Zend/zend_language_scanner.l"
		{
	return T_FOR;
}
#line 6977 "Zend/zend_language_scanner.c"
yy782:
		YYDEBUG(782, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy783;
		if (yych != 'a') goto yy291;
yy783:
		YYDEBUG(783, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy784;
		if (yych != 'c') goto yy291;
yy784:
		YYDEBUG(784, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy785;
		if (yych != 'h') goto yy291;
yy785:
		YYDEBUG(785, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(786, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 749 "Zend/zend_language_scanner.l"
		{
	return T_FOREACH;
}
#line 7005 "Zend/zend_language_scanner.c"
yy787:
		YYDEBUG(787, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy788;
		if (yych != 'a') goto yy291;
yy788:
		YYDEBUG(788, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy789;
		if (yych != 'l') goto yy291;
yy789:
		YYDEBUG(789, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(790, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 955 "Zend/zend_language_scanner.l"
		{
	return T_FINAL;
}
#line 7028 "Zend/zend_language_scanner.c"
yy791:
		YYDEBUG(791, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'F') {
			if (yych == 'C') goto yy797;
			if (yych <= 'E') goto yy291;
			goto yy798;
		} else {
			if (yych <= 'c') {
				if (yych <= 'b') goto yy291;
				goto yy797;
			} else {
				if (yych == 'f') goto yy798;
				goto yy291;
			}
		}
yy792:
		YYDEBUG(792, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy795;
		if (yych == 'e') goto yy795;
		goto yy291;
yy793:
		YYDEBUG(793, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(794, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 737 "Zend/zend_language_scanner.l"
		{
	return T_DO;
}
#line 7063 "Zend/zend_language_scanner.c"
yy795:
		YYDEBUG(795, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(796, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 685 "Zend/zend_language_scanner.l"
		{
	return T_EXIT;
}
#line 7076 "Zend/zend_language_scanner.c"
yy797:
		YYDEBUG(797, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy804;
		if (yych == 'l') goto yy804;
		goto yy291;
yy798:
		YYDEBUG(798, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy799;
		if (yych != 'a') goto yy291;
yy799:
		YYDEBUG(799, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy800;
		if (yych != 'u') goto yy291;
yy800:
		YYDEBUG(800, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy801;
		if (yych != 'l') goto yy291;
yy801:
		YYDEBUG(801, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy802;
		if (yych != 't') goto yy291;
yy802:
		YYDEBUG(802, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(803, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 785 "Zend/zend_language_scanner.l"
		{
	return T_DEFAULT;
}
#line 7115 "Zend/zend_language_scanner.c"
yy804:
		YYDEBUG(804, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy805;
		if (yych != 'a') goto yy291;
yy805:
		YYDEBUG(805, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy806;
		if (yych != 'r') goto yy291;
yy806:
		YYDEBUG(806, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy807;
		if (yych != 'e') goto yy291;
yy807:
		YYDEBUG(807, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(808, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 757 "Zend/zend_language_scanner.l"
		{
	return T_DECLARE;
}
#line 7143 "Zend/zend_language_scanner.c"
yy809:
		YYDEBUG(809, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy871;
		if (yych == 'h') goto yy871;
		goto yy291;
yy810:
		YYDEBUG(810, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy865;
		if (yych == 's') goto yy865;
		goto yy291;
yy811:
		YYDEBUG(811, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy861;
		if (yych == 'p') goto yy861;
		goto yy291;
yy812:
		YYDEBUG(812, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy827;
		if (yych == 'd') goto yy827;
		goto yy291;
yy813:
		YYDEBUG(813, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy824;
		if (yych == 'a') goto yy824;
		goto yy291;
yy814:
		YYDEBUG(814, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych == 'I') goto yy815;
			if (yych <= 'S') goto yy291;
			goto yy816;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy291;
			} else {
				if (yych == 't') goto yy816;
				goto yy291;
			}
		}
yy815:
		YYDEBUG(815, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy822;
		if (yych == 't') goto yy822;
		goto yy291;
yy816:
		YYDEBUG(816, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy817;
		if (yych != 'e') goto yy291;
yy817:
		YYDEBUG(817, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy818;
		if (yych != 'n') goto yy291;
yy818:
		YYDEBUG(818, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy819;
		if (yych != 'd') goto yy291;
yy819:
		YYDEBUG(819, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy820;
		if (yych != 's') goto yy291;
yy820:
		YYDEBUG(820, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(821, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 817 "Zend/zend_language_scanner.l"
		{
	return T_EXTENDS;
}
#line 7227 "Zend/zend_language_scanner.c"
yy822:
		YYDEBUG(822, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(823, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 681 "Zend/zend_language_scanner.l"
		{
	return T_EXIT;
}
#line 7240 "Zend/zend_language_scanner.c"
yy824:
		YYDEBUG(824, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy825;
		if (yych != 'l') goto yy291;
yy825:
		YYDEBUG(825, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(826, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 903 "Zend/zend_language_scanner.l"
		{
	return T_EVAL;
}
#line 7258 "Zend/zend_language_scanner.c"
yy827:
		YYDEBUG(827, *YYCURSOR);
		yych = *++YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 'D':
		case 'd':	goto yy828;
		case 'F':
		case 'f':	goto yy829;
		case 'I':
		case 'i':	goto yy830;
		case 'S':
		case 's':	goto yy831;
		case 'W':
		case 'w':	goto yy832;
		default:	goto yy291;
		}
yy828:
		YYDEBUG(828, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy854;
		if (yych == 'e') goto yy854;
		goto yy291;
yy829:
		YYDEBUG(829, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy846;
		if (yych == 'o') goto yy846;
		goto yy291;
yy830:
		YYDEBUG(830, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy844;
		if (yych == 'f') goto yy844;
		goto yy291;
yy831:
		YYDEBUG(831, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy838;
		if (yych == 'w') goto yy838;
		goto yy291;
yy832:
		YYDEBUG(832, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy833;
		if (yych != 'h') goto yy291;
yy833:
		YYDEBUG(833, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy834;
		if (yych != 'i') goto yy291;
yy834:
		YYDEBUG(834, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy835;
		if (yych != 'l') goto yy291;
yy835:
		YYDEBUG(835, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy836;
		if (yych != 'e') goto yy291;
yy836:
		YYDEBUG(836, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(837, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 733 "Zend/zend_language_scanner.l"
		{
	return T_ENDWHILE;
}
#line 7332 "Zend/zend_language_scanner.c"
yy838:
		YYDEBUG(838, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy839;
		if (yych != 'i') goto yy291;
yy839:
		YYDEBUG(839, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy840;
		if (yych != 't') goto yy291;
yy840:
		YYDEBUG(840, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy841;
		if (yych != 'c') goto yy291;
yy841:
		YYDEBUG(841, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy842;
		if (yych != 'h') goto yy291;
yy842:
		YYDEBUG(842, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(843, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 777 "Zend/zend_language_scanner.l"
		{
	return T_ENDSWITCH;
}
#line 7365 "Zend/zend_language_scanner.c"
yy844:
		YYDEBUG(844, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(845, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 721 "Zend/zend_language_scanner.l"
		{
	return T_ENDIF;
}
#line 7378 "Zend/zend_language_scanner.c"
yy846:
		YYDEBUG(846, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy847;
		if (yych != 'r') goto yy291;
yy847:
		YYDEBUG(847, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy848;
				if (yych <= '9') goto yy290;
			} else {
				if (yych == 'E') goto yy849;
				if (yych <= 'Z') goto yy290;
			}
		} else {
			if (yych <= 'd') {
				if (yych != '`') goto yy290;
			} else {
				if (yych <= 'e') goto yy849;
				if (yych <= 'z') goto yy290;
				if (yych >= 0x7F) goto yy290;
			}
		}
yy848:
		YYDEBUG(848, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 745 "Zend/zend_language_scanner.l"
		{
	return T_ENDFOR;
}
#line 7411 "Zend/zend_language_scanner.c"
yy849:
		YYDEBUG(849, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy850;
		if (yych != 'a') goto yy291;
yy850:
		YYDEBUG(850, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy851;
		if (yych != 'c') goto yy291;
yy851:
		YYDEBUG(851, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy852;
		if (yych != 'h') goto yy291;
yy852:
		YYDEBUG(852, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(853, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 753 "Zend/zend_language_scanner.l"
		{
	return T_ENDFOREACH;
}
#line 7439 "Zend/zend_language_scanner.c"
yy854:
		YYDEBUG(854, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy855;
		if (yych != 'c') goto yy291;
yy855:
		YYDEBUG(855, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy856;
		if (yych != 'l') goto yy291;
yy856:
		YYDEBUG(856, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy857;
		if (yych != 'a') goto yy291;
yy857:
		YYDEBUG(857, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy858;
		if (yych != 'r') goto yy291;
yy858:
		YYDEBUG(858, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy859;
		if (yych != 'e') goto yy291;
yy859:
		YYDEBUG(859, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(860, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 761 "Zend/zend_language_scanner.l"
		{
	return T_ENDDECLARE;
}
#line 7477 "Zend/zend_language_scanner.c"
yy861:
		YYDEBUG(861, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy862;
		if (yych != 't') goto yy291;
yy862:
		YYDEBUG(862, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy863;
		if (yych != 'y') goto yy291;
yy863:
		YYDEBUG(863, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(864, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 939 "Zend/zend_language_scanner.l"
		{
	return T_EMPTY;
}
#line 7500 "Zend/zend_language_scanner.c"
yy865:
		YYDEBUG(865, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy866;
		if (yych != 'e') goto yy291;
yy866:
		YYDEBUG(866, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy867;
				if (yych <= '9') goto yy290;
			} else {
				if (yych == 'I') goto yy868;
				if (yych <= 'Z') goto yy290;
			}
		} else {
			if (yych <= 'h') {
				if (yych != '`') goto yy290;
			} else {
				if (yych <= 'i') goto yy868;
				if (yych <= 'z') goto yy290;
				if (yych >= 0x7F) goto yy290;
			}
		}
yy867:
		YYDEBUG(867, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 725 "Zend/zend_language_scanner.l"
		{
	return T_ELSE;
}
#line 7533 "Zend/zend_language_scanner.c"
yy868:
		YYDEBUG(868, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy869;
		if (yych != 'f') goto yy291;
yy869:
		YYDEBUG(869, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(870, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 717 "Zend/zend_language_scanner.l"
		{
	return T_ELSEIF;
}
#line 7551 "Zend/zend_language_scanner.c"
yy871:
		YYDEBUG(871, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy872;
		if (yych != 'o') goto yy291;
yy872:
		YYDEBUG(872, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy290;
		}
		YYDEBUG(873, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 801 "Zend/zend_language_scanner.l"
		{
	return T_ECHO;
}
#line 7569 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_LOOKING_FOR_PROPERTY:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128,   0,   0, 128,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,   0,   0,   0,   0,   0,   0, 
			  0,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,   0,   0,   0,   0,  64, 
			  0,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,   0,   0,   0,   0,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
		};
		YYDEBUG(874, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '-') {
			if (yych <= '\r') {
				if (yych <= 0x08) goto yy882;
				if (yych <= '\n') goto yy876;
				if (yych <= '\f') goto yy882;
			} else {
				if (yych == ' ') goto yy876;
				if (yych <= ',') goto yy882;
				goto yy878;
			}
		} else {
			if (yych <= '_') {
				if (yych <= '@') goto yy882;
				if (yych <= 'Z') goto yy880;
				if (yych <= '^') goto yy882;
				goto yy880;
			} else {
				if (yych <= '`') goto yy882;
				if (yych <= 'z') goto yy880;
				if (yych <= '~') goto yy882;
				goto yy880;
			}
		}
yy876:
		YYDEBUG(876, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy888;
yy877:
		YYDEBUG(877, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 830 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_WHITESPACE;
}
#line 7650 "Zend/zend_language_scanner.c"
yy878:
		YYDEBUG(878, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '>') goto yy885;
yy879:
		YYDEBUG(879, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 849 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	yy_pop_state(TSRMLS_C);
	goto restart;
}
#line 7664 "Zend/zend_language_scanner.c"
yy880:
		YYDEBUG(880, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy884;
yy881:
		YYDEBUG(881, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 842 "Zend/zend_language_scanner.l"
		{
	yy_pop_state(TSRMLS_C);
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 7680 "Zend/zend_language_scanner.c"
yy882:
		YYDEBUG(882, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy879;
yy883:
		YYDEBUG(883, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy884:
		YYDEBUG(884, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy883;
		}
		goto yy881;
yy885:
		YYDEBUG(885, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(886, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 838 "Zend/zend_language_scanner.l"
		{
	return T_OBJECT_OPERATOR;
}
#line 7705 "Zend/zend_language_scanner.c"
yy887:
		YYDEBUG(887, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy888:
		YYDEBUG(888, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy887;
		}
		goto yy877;
	}
/* *********************************** */
yyc_ST_LOOKING_FOR_VARNAME:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(889, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy893;
			if (yych <= 'Z') goto yy891;
			if (yych <= '^') goto yy893;
		} else {
			if (yych <= '`') goto yy893;
			if (yych <= 'z') goto yy891;
			if (yych <= '~') goto yy893;
		}
yy891:
		YYDEBUG(891, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy896;
yy892:
		YYDEBUG(892, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1117 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	yy_pop_state(TSRMLS_C);
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_STRING_VARNAME;
}
#line 7783 "Zend/zend_language_scanner.c"
yy893:
		YYDEBUG(893, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(894, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1126 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	yy_pop_state(TSRMLS_C);
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	goto restart;
}
#line 7796 "Zend/zend_language_scanner.c"
yy895:
		YYDEBUG(895, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy896:
		YYDEBUG(896, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy895;
		}
		goto yy892;
	}
/* *********************************** */
yyc_ST_NOWDOC:
	{
		static const unsigned char yybm[] = {
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,   8,  32,  32,  16,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 96,  96,  96,  96,  96,  96,  96,  96, 
			 96,  96,  32,  32,  32,  32,  32,  32, 
			 32, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192,  32,  32,  32,  32, 192, 
			 32, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192,  32,  32,  32,  32, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
			192, 192, 192, 192, 192, 192, 192, 192, 
		};
		YYDEBUG(897, *YYCURSOR);
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy903;
		}
		if (yych <= '\f') goto yy899;
		if (yych <= '\r') goto yy901;
		goto yy905;
yy899:
		YYDEBUG(899, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(900, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy903;
		}
		if (yych <= '\f') goto yy899;
		if (yych >= 0x0E) goto yy929;
yy901:
		YYDEBUG(901, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(902, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy903;
		}
		if (yych <= '\f') goto yy899;
		if (yych <= '\r') goto yy901;
		goto yy929;
yy903:
		YYDEBUG(903, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(904, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy903;
		}
		if (yych <= '\f') goto yy899;
		if (yych <= '\r') goto yy901;
		goto yy927;
yy905:
		YYDEBUG(905, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(906, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy905;
		}
		if (yych <= '\f') {
			if (yych != '\n') goto yy909;
		} else {
			if (yych <= '\r') goto yy907;
			if (yych == ';') goto yy908;
			goto yy909;
		}
yy907:
		YYDEBUG(907, *YYCURSOR);
yy908:
		YYDEBUG(908, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy907;
		if (yych == '\r') goto yy907;
		goto yy920;
yy909:
		YYDEBUG(909, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych >= '\r') goto yy901;
			} else {
				if (yych <= '@') goto yy910;
				if (yych <= 'Z') goto yy912;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy912;
			} else {
				if (yych <= 'z') goto yy912;
				if (yych >= 0x7F) goto yy912;
			}
		}
yy910:
		YYDEBUG(910, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(911, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych <= '\f') goto yy910;
				goto yy901;
			} else {
				if (yych <= '@') goto yy910;
				if (yych <= 'Z') goto yy914;
				goto yy910;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy914;
				goto yy910;
			} else {
				if (yych <= 'z') goto yy914;
				if (yych <= '~') goto yy910;
				goto yy914;
			}
		}
yy912:
		YYDEBUG(912, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(913, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '@') {
			if (yych <= '/') {
				if (yych == '\r') goto yy901;
				goto yy910;
			} else {
				if (yych <= '9') goto yy914;
				if (yych == ';') goto yy916;
				goto yy910;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy912;
				if (yych <= '^') goto yy910;
				goto yy912;
			} else {
				if (yych <= '`') goto yy910;
				if (yych <= 'z') goto yy912;
				if (yych <= '~') goto yy910;
				goto yy912;
			}
		}
yy914:
		YYDEBUG(914, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(915, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '@') {
			if (yych <= '/') {
				if (yych == '\r') goto yy901;
				goto yy910;
			} else {
				if (yych <= '9') goto yy914;
				if (yych != ';') goto yy910;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy914;
				if (yych <= '^') goto yy910;
				goto yy914;
			} else {
				if (yych <= '`') goto yy910;
				if (yych <= 'z') goto yy914;
				if (yych <= '~') goto yy910;
				goto yy914;
			}
		}
yy916:
		YYDEBUG(916, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(917, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych <= '\f') goto yy916;
				goto yy901;
			} else {
				if (yych <= '@') goto yy916;
				if (yych >= '[') goto yy916;
			}
		} else {
			if (yych <= '`') {
				if (yych >= '`') goto yy916;
			} else {
				if (yych <= 'z') goto yy918;
				if (yych <= '~') goto yy916;
			}
		}
yy918:
		YYDEBUG(918, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(919, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych == '\r') goto yy901;
				goto yy916;
			} else {
				if (yych <= '9') goto yy918;
				if (yych <= '@') goto yy916;
				goto yy918;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy918;
				goto yy916;
			} else {
				if (yych <= 'z') goto yy918;
				if (yych <= '~') goto yy916;
				goto yy918;
			}
		}
yy920:
		YYDEBUG(920, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych >= '\r') goto yy901;
			} else {
				if (yych <= '@') goto yy921;
				if (yych <= 'Z') goto yy923;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy923;
			} else {
				if (yych <= 'z') goto yy923;
				if (yych >= 0x7F) goto yy923;
			}
		}
yy921:
		YYDEBUG(921, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(922, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych <= '\f') goto yy921;
				goto yy901;
			} else {
				if (yych <= '@') goto yy921;
				if (yych <= 'Z') goto yy925;
				goto yy921;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy925;
				goto yy921;
			} else {
				if (yych <= 'z') goto yy925;
				if (yych <= '~') goto yy921;
				goto yy925;
			}
		}
yy923:
		YYDEBUG(923, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(924, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '@') {
			if (yych <= '/') {
				if (yych == '\r') goto yy901;
				goto yy916;
			} else {
				if (yych <= '9') goto yy925;
				if (yych == ';') goto yy921;
				goto yy916;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy923;
				if (yych <= '^') goto yy916;
				goto yy923;
			} else {
				if (yych <= '`') goto yy916;
				if (yych <= 'z') goto yy923;
				if (yych <= '~') goto yy916;
				goto yy923;
			}
		}
yy925:
		YYDEBUG(925, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(926, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '@') {
			if (yych <= '/') {
				if (yych == '\r') goto yy901;
				goto yy916;
			} else {
				if (yych <= '9') goto yy925;
				if (yych == ';') goto yy921;
				goto yy916;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy925;
				if (yych <= '^') goto yy916;
				goto yy925;
			} else {
				if (yych <= '`') goto yy916;
				if (yych <= 'z') goto yy925;
				if (yych <= '~') goto yy916;
				goto yy925;
			}
		}
yy927:
		YYDEBUG(927, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(928, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy899;
		}
		if (yych <= '@') {
			if (yych <= '/') {
				if (yych == '\r') goto yy901;
				goto yy910;
			} else {
				if (yych <= '9') goto yy927;
				if (yych == ';') goto yy921;
				goto yy910;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy927;
				if (yych <= '^') goto yy910;
				goto yy927;
			} else {
				if (yych <= '`') goto yy910;
				if (yych <= 'z') goto yy927;
				if (yych <= '~') goto yy910;
				goto yy927;
			}
		}
yy929:
		YYDEBUG(929, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(930, *YYCURSOR);
		if (yych <= ';') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy932;
				if (yych <= '\f') goto yy909;
				goto yy932;
			} else {
				if (yych <= '/') goto yy909;
				if (yych <= '9') goto yy929;
				if (yych <= ':') goto yy909;
			}
		} else {
			if (yych <= '_') {
				if (yych <= '@') goto yy909;
				if (yych <= 'Z') goto yy929;
				if (yych <= '^') goto yy909;
				goto yy929;
			} else {
				if (yych <= '`') goto yy909;
				if (yych <= 'z') goto yy929;
				if (yych <= '~') goto yy909;
				goto yy929;
			}
		}
		YYDEBUG(931, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych == '\n') goto yy932;
		if (yych != '\r') goto yy920;
yy932:
		YYDEBUG(932, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(933, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1864 "Zend/zend_language_scanner.l"
		{
	char *end = yytext + yyleng - 1;

	if (end[-1] == ';') {
		end--;
		yyleng--;
	}

	if (yyleng > CG(heredoc_len) && !memcmp(end - CG(heredoc_len), CG(heredoc), CG(heredoc_len))) {
		int len = yyleng - CG(heredoc_len) - 2; /* 2 for newline before and after label */

		/* May have matched fooLABEL; make sure there's a newline before it */
		if (yytext[len] != '\n') {
			if (yytext[len] != '\r') {
				yyless(yyleng - 1);
				yymore();
			}
		} else if (len > 0 && yytext[len - 1] == '\r') {
			len--; /* Windows newline */
		}

		/* Go back before last label char, to match in ST_END_NOWDOC state */
		yyless(yyleng - 2);

		/* Subtract the remaining label length. yyleng must include newline
		 * before label, for zend_highlight/strip, tokenizer, etc. */
		yyleng -= CG(heredoc_len) - 1;

		CG(increment_lineno) = 1; /* For newline before label */
		BEGIN(ST_END_NOWDOC);

		HANDLE_NEWLINES(yytext, len);
		zend_copy_value(zendlval, yytext, len);
		zendlval->type = IS_STRING;
		return T_ENCAPSED_AND_WHITESPACE;
	} else {
		/* Go back to end of label, so the next match works correctly in case of
		 * another label at the beginning of the next line */
		yyless(yyleng - 1);
		yymore();
	}
}
#line 8301 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_ONE_LINE_COMMENT:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(934, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy940;
		}
		if (yych <= '\f') goto yy943;
		if (yych <= '\r') goto yy944;
		if (yych <= '=') goto yy936;
		if (yych <= '>') goto yy938;
		goto yy939;
yy936:
		YYDEBUG(936, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '>') goto yy948;
yy937:
		YYDEBUG(937, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1491 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 8362 "Zend/zend_language_scanner.c"
yy938:
		YYDEBUG(938, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy937;
yy939:
		YYDEBUG(939, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy948;
		goto yy937;
yy940:
		YYDEBUG(940, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(941, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy940;
		}
		goto yy947;
yy942:
		YYDEBUG(942, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1495 "Zend/zend_language_scanner.l"
		{
	switch (yytext[yyleng-1]) {
		case '?': case '%': case '>':
			yyless(yyleng-1);
			yymore();
			break;
		case '\n':
			CG(zend_lineno)++;
			/* intentional fall through */
		default:
			zendlval->value.str.val = yytext; /* no copying - intentional */
			zendlval->value.str.len = yyleng;
			zendlval->type = IS_STRING;
			BEGIN(ST_IN_SCRIPTING);
			return T_COMMENT;
	}
}
#line 8403 "Zend/zend_language_scanner.c"
yy943:
		YYDEBUG(943, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy942;
yy944:
		YYDEBUG(944, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '\n') goto yy942;
		YYDEBUG(945, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(946, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1513 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(ST_IN_SCRIPTING);
	CG(zend_lineno)++;
	return T_COMMENT;
}
#line 8425 "Zend/zend_language_scanner.c"
yy947:
		YYDEBUG(947, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy942;
yy948:
		YYDEBUG(948, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(949, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1522 "Zend/zend_language_scanner.l"
		{
    if (CG(asp_tags) || yytext[yyleng-2] != '%') { /* asp comment? */
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng-2;
		zendlval->type = IS_STRING;
		yyless(yyleng - 2);
		BEGIN(ST_IN_SCRIPTING);
		return T_COMMENT;
	} else {
		yymore();
	}
}
#line 8448 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_START_HEREDOC:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(950, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy952;
			if (yych <= 'Z') goto yy954;
			if (yych >= '_') goto yy954;
		} else {
			if (yych <= '`') goto yy952;
			if (yych <= 'z') goto yy954;
			if (yych >= 0x7F) goto yy954;
		}
yy952:
		YYDEBUG(952, *YYCURSOR);
		++YYCURSOR;
yy953:
		YYDEBUG(953, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1678 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	BEGIN(ST_HEREDOC);
	goto restart;
}
#line 8511 "Zend/zend_language_scanner.c"
yy954:
		YYDEBUG(954, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy955;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy959;
			goto yy953;
		} else {
			if (yych <= '\r') goto yy959;
			if (yych == ';') goto yy958;
			goto yy953;
		}
yy955:
		YYDEBUG(955, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(956, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy955;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy959;
		} else {
			if (yych <= '\r') goto yy959;
			if (yych == ';') goto yy958;
		}
yy957:
		YYDEBUG(957, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy953;
yy958:
		YYDEBUG(958, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy959;
		if (yych != '\r') goto yy957;
yy959:
		YYDEBUG(959, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(960, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1684 "Zend/zend_language_scanner.l"
		{
	int label_len = yyleng - 1;

	if (yytext[label_len-1]==';') {
		label_len--;
	}

	yyless(label_len);

	if (label_len==CG(heredoc_len) && !memcmp(yytext, CG(heredoc), label_len)) {
		zendlval->value.str.val = CG(heredoc);
		zendlval->value.str.len = label_len;
		CG(heredoc)=NULL;
		CG(heredoc_len)=0;
		BEGIN(ST_IN_SCRIPTING);
		return T_END_HEREDOC;
	} else {
		BEGIN(ST_HEREDOC);
		yymore();
	}
}
#line 8578 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_START_NOWDOC:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(961, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy963;
			if (yych <= 'Z') goto yy965;
			if (yych >= '_') goto yy965;
		} else {
			if (yych <= '`') goto yy963;
			if (yych <= 'z') goto yy965;
			if (yych >= 0x7F) goto yy965;
		}
yy963:
		YYDEBUG(963, *YYCURSOR);
		++YYCURSOR;
yy964:
		YYDEBUG(964, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1838 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	BEGIN(ST_NOWDOC);
	goto restart;
}
#line 8641 "Zend/zend_language_scanner.c"
yy965:
		YYDEBUG(965, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy966;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy970;
			goto yy964;
		} else {
			if (yych <= '\r') goto yy970;
			if (yych == ';') goto yy969;
			goto yy964;
		}
yy966:
		YYDEBUG(966, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(967, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy966;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy970;
		} else {
			if (yych <= '\r') goto yy970;
			if (yych == ';') goto yy969;
		}
yy968:
		YYDEBUG(968, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy964;
yy969:
		YYDEBUG(969, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy970;
		if (yych != '\r') goto yy968;
yy970:
		YYDEBUG(970, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(971, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1844 "Zend/zend_language_scanner.l"
		{
	int label_len = yyleng - 1;

	if (yytext[label_len-1]==';') {
		label_len--;
	}

	if (label_len==CG(heredoc_len) && !memcmp(yytext, CG(heredoc), label_len)) {
		yyless(label_len-1);
		yyleng = 0;
		BEGIN(ST_END_NOWDOC);
		ZVAL_EMPTY_STRING(zendlval);
		return T_ENCAPSED_AND_WHITESPACE;
	} else {
		BEGIN(ST_NOWDOC);
		yyless(label_len);
		yymore();
	}
}
#line 8706 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_VAR_OFFSET:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			224, 224, 224, 224, 224, 224, 224, 224, 
			224, 224,   0,   0,   0,   0,   0,   0, 
			  0, 160, 160, 160, 160, 160, 160,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,   0,   0,   0,   0,  32, 
			  0, 160, 160, 160, 160, 160, 160,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,   0,   0,   0,   0,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
		};
		YYDEBUG(972, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '/') {
			if (yych <= ' ') {
				if (yych <= '\f') {
					if (yych <= 0x08) goto yy986;
					if (yych <= '\n') goto yy982;
					goto yy986;
				} else {
					if (yych <= '\r') goto yy982;
					if (yych <= 0x1F) goto yy986;
					goto yy982;
				}
			} else {
				if (yych <= '$') {
					if (yych <= '"') goto yy981;
					if (yych <= '#') goto yy982;
					goto yy977;
				} else {
					if (yych == '\'') goto yy982;
					goto yy981;
				}
			}
		} else {
			if (yych <= '\\') {
				if (yych <= '@') {
					if (yych <= '0') goto yy974;
					if (yych <= '9') goto yy976;
					goto yy981;
				} else {
					if (yych <= 'Z') goto yy984;
					if (yych <= '[') goto yy981;
					goto yy982;
				}
			} else {
				if (yych <= '_') {
					if (yych <= ']') goto yy979;
					if (yych <= '^') goto yy981;
					goto yy984;
				} else {
					if (yych <= '`') goto yy981;
					if (yych <= 'z') goto yy984;
					if (yych <= '~') goto yy981;
					goto yy984;
				}
			}
		}
yy974:
		YYDEBUG(974, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'W') {
			if (yych <= '/') goto yy975;
			if (yych <= '9') goto yy997;
		} else {
			if (yych <= 'X') goto yy995;
			if (yych == 'x') goto yy995;
		}
yy975:
		YYDEBUG(975, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1176 "Zend/zend_language_scanner.l"
		{ /* Offset could be treated as a long */
	if (yyleng < MAX_LENGTH_OF_LONG - 1 || (yyleng == MAX_LENGTH_OF_LONG - 1 && strcmp(yytext, long_min_digits) < 0)) {
		zendlval->value.lval = strtol(yytext, NULL, 10);
		zendlval->type = IS_LONG;
	} else {
		zendlval->value.str.val = (char *)estrndup(yytext, yyleng);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
	}
	return T_NUM_STRING;
}
#line 8819 "Zend/zend_language_scanner.c"
yy976:
		YYDEBUG(976, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy994;
yy977:
		YYDEBUG(977, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '_') {
			if (yych <= '@') goto yy978;
			if (yych <= 'Z') goto yy990;
			if (yych >= '_') goto yy990;
		} else {
			if (yych <= '`') goto yy978;
			if (yych <= 'z') goto yy990;
			if (yych >= 0x7F) goto yy990;
		}
yy978:
		YYDEBUG(978, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1466 "Zend/zend_language_scanner.l"
		{
	/* Only '[' can be valid, but returning other tokens will allow a more explicit parse error */
	return yytext[0];
}
#line 8844 "Zend/zend_language_scanner.c"
yy979:
		YYDEBUG(979, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(980, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1461 "Zend/zend_language_scanner.l"
		{
	yy_pop_state(TSRMLS_C);
	return ']';
}
#line 8855 "Zend/zend_language_scanner.c"
yy981:
		YYDEBUG(981, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy978;
yy982:
		YYDEBUG(982, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(983, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1471 "Zend/zend_language_scanner.l"
		{
	/* Invalid rule to return a more explicit parse error with proper line number */
	yyless(0);
	yy_pop_state(TSRMLS_C);
	ZVAL_EMPTY_STRING(zendlval); /* Empty since it won't be used */
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 8873 "Zend/zend_language_scanner.c"
yy984:
		YYDEBUG(984, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy989;
yy985:
		YYDEBUG(985, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1479 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 8888 "Zend/zend_language_scanner.c"
yy986:
		YYDEBUG(986, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(987, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1930 "Zend/zend_language_scanner.l"
		{
	zend_error(E_COMPILE_WARNING,"Unexpected character in input:  '%c' (ASCII=%d) state=%d", yytext[0], yytext[0], YYSTATE);
	goto restart;
}
#line 8899 "Zend/zend_language_scanner.c"
yy988:
		YYDEBUG(988, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy989:
		YYDEBUG(989, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy988;
		}
		goto yy985;
yy990:
		YYDEBUG(990, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(991, *YYCURSOR);
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy990;
			} else {
				if (yych <= '@') goto yy992;
				if (yych <= 'Z') goto yy990;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy990;
			} else {
				if (yych <= 'z') goto yy990;
				if (yych >= 0x7F) goto yy990;
			}
		}
yy992:
		YYDEBUG(992, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1455 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 8941 "Zend/zend_language_scanner.c"
yy993:
		YYDEBUG(993, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy994:
		YYDEBUG(994, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy993;
		}
		goto yy975;
yy995:
		YYDEBUG(995, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy1000;
		}
		YYDEBUG(996, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy975;
yy997:
		YYDEBUG(997, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(998, *YYCURSOR);
		if (yych <= '/') goto yy999;
		if (yych <= '9') goto yy997;
yy999:
		YYDEBUG(999, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1188 "Zend/zend_language_scanner.l"
		{ /* Offset must be treated as a string */
	zendlval->value.str.val = (char *)estrndup(yytext, yyleng);
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	return T_NUM_STRING;
}
#line 8980 "Zend/zend_language_scanner.c"
yy1000:
		YYDEBUG(1000, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(1001, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy1000;
		}
		goto yy999;
	}
}
#line 1935 "Zend/zend_language_scanner.l"

}
